GNU bug report logs - #36903
27.0.50; gnus registry vs. debbugs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Michael Heerdegen <michael_heerdegen@HIDDEN>; Done: Eric Abrahamsen <eric@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 9 Oct 2019 14:37:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 10:37:54 2019
Received: from localhost ([127.0.0.1]:53822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iID69-0000rU-Se
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 10:37:54 -0400
Received: from mout.web.de ([212.227.15.3]:41023)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iID67-0000rG-PZ
 for 36903 <at> debbugs.gnu.org; Wed, 09 Oct 2019 10:37:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1570631854;
 bh=UnLILdMquhlQYBqiS8mvSogji9psUoGl841g/lIRN+s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ZdG2wuuF0A7YSce7TmzyXTGFHjn6BYO+dpaSWvkv+lNC9Fi9+XpO0dfGijwLfhyUN
 XACKSgDTmpyJ8Nw34enuH9GCDpQzSc3biCQUuNkIE6YhTdjJP4cD0ec7OQWVKSuMVV
 ih+KVvWlEpJUgvRbu6f/zUt0f7ThGV2iJ/RRNpv8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.91.33]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LpOKb-1hd5WF1ffB-00fCZg; Wed, 09
 Oct 2019 16:37:34 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#37590: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87v9tuh08w.fsf@HIDDEN>
 <87h85dycnh.fsf@HIDDEN> <87sgoxf86i.fsf@HIDDEN>
 <87muf4tlve.fsf@HIDDEN> <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN> <87zhig6hq1.fsf@HIDDEN>
 <87sgo81m60.fsf@HIDDEN> <87eezrhbmb.fsf@HIDDEN>
 <87y2xziesu.fsf@HIDDEN> <87imozty8l.fsf@HIDDEN>
 <87o8yrjd1q.fsf@HIDDEN>
Date: Wed, 09 Oct 2019 16:37:39 +0200
In-Reply-To: <87o8yrjd1q.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 08 Oct 2019 11:40:49 -0700")
Message-ID: <87r23myogc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:MfNRYGrX8Q3hN4dvlVTnAnOBcIkA2r8y2ugBdQQTFVCiuqm+8Ct
 tBFL8vE98z4RxxOYJwGO7j6lLEzljqTON9g4bYIRN2Od461JaKb8qtTo+hRB0Klwt0nTdiy
 /vOnoz6jkPp4XlbPa9xfo122Qh1U4+Nae3FZP06QLUasecIEZQAXtjtWHJcp+4JwaCLhB7k
 92YA7zCfCr4iE/7yfsmvQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:mjaD3rvkvd0=:1jwRVoK+B46mOczsrf8KzQ
 jIWIuPbYoDfWoVd3EfbhL2+UFXVj0am8kl5JxxV0le2o5O/wjj6WGqGyOu1ZPpKFb+/BECiB6
 QtGk8c5/r/KS9AWqJ6Ogg9lqglhZOHX9ALde/hBrc1PXWNDcbDAM2VBUlXXri//xPBWx+G/gs
 KjEvc0gOdBEYLyAbBsKjalSZUnfqSix8g2EBuNhPm0TAygsJXraUhZu6SFupdYynVGL9HiI/E
 Sc1iui5O12U2zflkz7tfxRvN8MYMQzJFOCvm/HC2Xo3K2XGrFkUuh+BnEclldLW8nKy4ywvD0
 a5sAgNtMtmpTKM3PxFH7sTYheCqqXTSWHrzYIljuKFilpCIijWGk6hCWCssw4WE+k/oJXXyxw
 Vmx75t2q5xFK3otLLZ6i5mkSvXp+6HVdMNFNTs4Ya1qXdL12u0vbQAJS14cwEQxZ7A4i9ib9u
 3tsz6v9K3Xnkg63U1r2ol/GYR14OQRYAcnzjKYA260fUiePoD5vP7f2gFimn0cn4Mp/tmIUzV
 X8QHFXKTVDNBAASWB09WU1XmZ/Uv4lCMZDZueb5Ulg/NXM/hfgTmvhhO27F+HPFoNxFKpeSjt
 i3uUuvMW8P3vqqOxA5yYPXqfJslrKWZm57nN6Hjy2dqDRh5aZMbnsXLZsrvCzG378jlnfYJHn
 0mMp3q0LQbOrcPU+zPu3vXHbe/EGRPaT3o2gvf40SPFK8tNtSUGuBnwgmjmWj1F+ZptHZAz7L
 Sg0SCORjocut65WKdFxFGEbW2evZtQ15Q78n5nC431RTwi2JIMMgTZ3W9MtuW2ZnsQWKzBgvx
 0x4OxppF/N9cgYwvEnEclO2miLhvPCUSLrP1fDBaEU63+NcSz/yiRC9WHvNEsN+cquekZPdKG
 8AL2vwvKecHmJ88TJhoK+Mw8YLEYJeDynAs4isioQCn8OjHG5XP9t38GEx8a+Po9IRMMQ2skK
 UwwBgt9VaJGUkWrtVN3n7ltEg2BnBiWn/mZq3bJJ2xXcRGP/1ELyVtxvTgSzmxcjA6gegV+cc
 m1KA9B1kz2UyW3IISq/HCNXURyvaUbq5INhZxxH47sxKInRMAxmAuBXeh5G5GB8hyWk789C0V
 PpsSVOzftKf1d5+EvrLOpIH6Yruk9k0+aPH4JQfCARKm53dkccdGfo1aqiD1cL2R4nDdp7hUG
 xtn1ObIZlnVMowtCKzhzpYTvOo2SZZqGCFU2EnNsXrS57OqyRQrXbxso59IFOQmOX9hAr2ifV
 Vm6dIvdIorKniZ5B0lhoCEX0iBMwTgZY+LuJSA7QE2jnUguWXd8kgIqJJwjU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Yep, I missed a spot. I've fixed that spot, and for good measure moved
> Gnorb's hooking into separate functions, so the hooks are added at
> startup, and removed at shutdown.

Thanks, seems to work again :-)


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 8 Oct 2019 18:41:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 14:41:00 2019
Received: from localhost ([127.0.0.1]:51509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHuPq-0001Tp-MG
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 14:41:00 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:49746
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iHuPo-0001Ta-Rt
 for 36903 <at> debbugs.gnu.org; Tue, 08 Oct 2019 14:40:57 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id E35C7FA028;
 Tue,  8 Oct 2019 18:40:50 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#37590: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN> <87zhig6hq1.fsf@HIDDEN>
 <87sgo81m60.fsf@HIDDEN> <87eezrhbmb.fsf@HIDDEN>
 <87y2xziesu.fsf@HIDDEN> <87imozty8l.fsf@HIDDEN>
Date: Tue, 08 Oct 2019 11:40:49 -0700
In-Reply-To: <87imozty8l.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 08
 Oct 2019 10:52:58 +0200")
Message-ID: <87o8yrjd1q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Great! I'm closing this and a related report.
>
> Hmm - same recipe as always, today I'm getting this:

Yep, I missed a spot. I've fixed that spot, and for good measure moved
Gnorb's hooking into separate functions, so the hooks are added at
startup, and removed at shutdown.

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903-done <at> debbugs.gnu.org:


Received: (at 36903-done) by debbugs.gnu.org; 8 Oct 2019 08:53:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 04:53:15 2019
Received: from localhost ([127.0.0.1]:49497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHlF4-0001qr-LE
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 04:53:14 -0400
Received: from mout.web.de ([212.227.15.3]:32909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>)
 id 1iHlF1-0001qN-1j; Tue, 08 Oct 2019 04:53:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1570524773;
 bh=bZeoO0ottFN+NsXdiw7oxCfFeDtWbBhpN+Fiz5SAzy4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=HsFKek9OLc+pZIA/qsYBf3xDsqBB9ECHqOs0xuK4SuG2E69vfykdSoXOEI7zAXNcP
 Sdg7BXF4Jy6bdrM9ipzfZgSrENphmYcEMzGxbfKvazCciwjJlxLWxose8dgw95yehW
 Ix8jAcc9/GC3xl3mI1cJdzvSVa4W6NZSPWFXx7Tc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.185.16]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MHpKH-1iEiy01fMT-003el1; Tue, 08
 Oct 2019 10:52:53 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87o90u2yq9.fsf@HIDDEN>
 <874l1e7wcq.fsf@HIDDEN> <87v9tuh08w.fsf@HIDDEN>
 <87h85dycnh.fsf@HIDDEN> <87sgoxf86i.fsf@HIDDEN>
 <87muf4tlve.fsf@HIDDEN> <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN> <87zhig6hq1.fsf@HIDDEN>
 <87sgo81m60.fsf@HIDDEN> <87eezrhbmb.fsf@HIDDEN>
 <87y2xziesu.fsf@HIDDEN>
Date: Tue, 08 Oct 2019 10:52:58 +0200
In-Reply-To: <87y2xziesu.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 05 Oct 2019 07:59:13 -0400")
Message-ID: <87imozty8l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:7DqqfMt131RKBQU2zT4tV8ACutKrCnqezGXvKWD3Jnv6AQTj5Ug
 veCt9mteicXkkYpyFTAuF+NdsxC0NETnqL13L2LKu4u+/o+A+XEYN7gg/Jup1aOL4A+tPgH
 3FNSHxRnSbS+u2CDc9g/p70gkHRoACBipPJQiKD8kUQCabOP20cp3hno0s7cL+aEpV8z+VB
 Y029nenNinsS0vm5M+/Qg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:HF+wDk7UKwE=:83pG1KtVW1E3KaMCytSAQM
 6X3kXXIlAF8S5CV592ps81iukXNdF7hd194lYgUXcH7sNs9jUiU1SVksXWj0HVZRIK7Wp0dVT
 eMfd0HtvfkSICX6Ltcw4Zkq9lXY8ObjMw9cIlNL4kmkOpwv9DQHTQnixrPCpF9g5EDWhv1y7W
 2+N0jrWIh8toOroFNnnAunxK0mXOzwhG1rVOXlq5SCWFJZ4l11hhDTA6o6Aq/nUYncMsT8rPH
 p8geWqsVxKSZMXYgRTG9SmmUxOaIILWC7zllDAFLjIOi1lC5MBSt3BcsGDimDnp/RqNsK1tHR
 Mc5v9Qy6YjnnFlHGJiVsco2TPOZqaZN3Xeydc4qF7XkcnG2yylPud/dzwPa77cyXT0xT6emuA
 0F+FwuV5DhjApCuvRntoYrhjGoC8X6ZuPlkkAg+Xjcidx5Ooync1kpUXeWtbjZN/Or/MqxL+o
 B6v2Ire/2YZ0nmoMEGzqNlDZjSzqQ1m5YwgaQ4qUKJJZq55pIRRmFpbPf2FRwje3ffj0jkbui
 l1P/rY/vFS298UUsmJG4bQw+qPRa9z2e2m/WsARnvJ7tj/JshH2iJSa2Vf8ZQZYjb56tfy8E1
 /yQwRl+6uuhOfzFNo5lTDJuDUQ2RWazFA/xgNS4W7GrUl9nXWa2HubrlpcPxd8oPsWgPS10dS
 fTe3QgRo230YFi23K6pI/v23jMX4CNC8G/2XMsR4tQyjSoz9OK/Hi3BgtimbWVg6YfPuFeT4O
 QmyHvAdhkJlCRQAHfAUQi2sBXVI/ktivA8yVaP9qh4T7R21uDI9u1aGyH6SQSyrX26cjhYyrr
 xJkebxdKIw+L7N9RpAD65LGLbo7AJBPp26jF2VgJAx3JnvqeRYlfQM7nhlyutbrP2obEb1s6w
 d8HdrkKrbG06qZCgMa2asOHLhJ8wYiCPS/Ow3PoTF1Qje4nll6ZC73W62DtILSJ8cIFKtvCxq
 PO25jItExYgfJ0eG1+tTcy20dTa8S1E4LsCELQO4+upQxUQdE5lEaMaoh9SZeLu8Sg0kP/2Dc
 aIMykDE1OV/s+hlJxozVU1YeAK0j6Hg6HsUOXU4BoYJM6rg10zEb7k0ugNQ37YpWBXa4u10Pm
 nTvndt/983obRHIeCw8ZZtHnnxQUFtMkGdXy58q5S/fO8NAchn7v6BQmgzai9WD3k7IZ2dd8j
 p+x88mA9zzlys5Cc58Gjav4gB702Bm8ioQFRAf6TP6gdCkD4XBDN3HIsJOovMkI5cJmw6Xe54
 bqsDkXrxaDADytC98R8i8wpn0nt48fTEleiok85xVtBDQwtrswV9YA1ve6vU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903-done
Cc: 36903 <at> debbugs.gnu.org, 36903-done <at> debbugs.gnu.org,
 Michael Albinus <michael.albinus@HIDDEN>, 37590-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Great! I'm closing this and a related report.

Hmm - same recipe as always, today I'm getting this:

Debugger entered--Lisp error: (cl-no-applicable-method registry-lookup nil =
("<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+..."))
  signal(cl-no-applicable-method (registry-lookup nil ("<CABczVwdfiSF3DpZ0Q=
prBYH_o14PDpDT6nvip__g8K_F1Eyn+...")))
  cl-no-applicable-method(#s(cl--generic :name registry-lookup :dispatches =
((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 =
:tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fe70a31=
de9d>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode=
 0x1fe70a31de8d>))) (0 #s(cl--generic-generalizer :name eieio--generic-gene=
ralizer :priority 50 :tagcode-function cl--generic-struct-tag :specializers=
-function #f(compiled-function (tag &rest _) #<bytecode 0x1578a5722cb9>)) #=
s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagc=
ode-function #f(compiled-function (name &rest _) #<bytecode 0x1fe70a31de9d>=
) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1f=
e70a31de8d>)))) :method-table (#s(cl--generic-method :specializers (registr=
y-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function (db ke=
ys) #<bytecode 0x1578a7918569>))) :options nil) nil ("<CABczVwdfiSF3DpZ0Qpr=
BYH_o14PDpDT6nvip__g8K_F1Eyn+..."))
  apply(cl-no-applicable-method #s(cl--generic :name registry-lookup :dispa=
tches ((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :prior=
ity 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1f=
e70a31de9d>) :specializers-function #f(compiled-function (tag &rest _) #<by=
tecode 0x1fe70a31de8d>))) (0 #s(cl--generic-generalizer :name eieio--generi=
c-generalizer :priority 50 :tagcode-function cl--generic-struct-tag :specia=
lizers-function #f(compiled-function (tag &rest _) #<bytecode 0x1578a5722cb=
9>)) #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0=
 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fe70a3=
1de9d>) :specializers-function #f(compiled-function (tag &rest _) #<bytecod=
e 0x1fe70a31de8d>)))) :method-table (#s(cl--generic-method :specializers (r=
egistry-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function =
(db keys) #<bytecode 0x1578a7918569>))) :options nil) (nil ("<CABczVwdfiSF3=
DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+...")))
  #f(compiled-function (&rest args) #<bytecode 0x1578a6935d31>)(nil ("<CABc=
zVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+..."))
  apply(#f(compiled-function (&rest args) #<bytecode 0x1578a6935d31>) nil (=
"<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+..."))
  registry-lookup(nil ("<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+.=
.."))
  gnus-registry-get-or-make-entry("<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__=
g8K_F1Eyn+...")
  gnus-registry-get-id-key("<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1E=
yn+..." gnorb-ids)
  gnorb-gnus-hint-relevant-message()
  run-hooks(gnus-select-article-hook)
  apply(run-hooks gnus-select-article-hook)
  gnus-run-hooks(gnus-select-article-hook)
  gnus-summary-display-article(18 nil)
  gnus-summary-select-article(nil nil pseudo)
  gnus-summary-scroll-up(1)
  funcall-interactively(gnus-summary-scroll-up 1)
  call-interactively(gnus-summary-scroll-up nil nil)
  command-execute(gnus-summary-scroll-up)

so the issue reappeared (because of Gnorb?).

Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 8 Oct 2019 08:53:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 04:53:14 2019
Received: from localhost ([127.0.0.1]:49495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHlF4-0001qk-8X
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 04:53:14 -0400
Received: from mout.web.de ([212.227.15.3]:32909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>)
 id 1iHlF1-0001qN-1j; Tue, 08 Oct 2019 04:53:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1570524773;
 bh=bZeoO0ottFN+NsXdiw7oxCfFeDtWbBhpN+Fiz5SAzy4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=HsFKek9OLc+pZIA/qsYBf3xDsqBB9ECHqOs0xuK4SuG2E69vfykdSoXOEI7zAXNcP
 Sdg7BXF4Jy6bdrM9ipzfZgSrENphmYcEMzGxbfKvazCciwjJlxLWxose8dgw95yehW
 Ix8jAcc9/GC3xl3mI1cJdzvSVa4W6NZSPWFXx7Tc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.185.16]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MHpKH-1iEiy01fMT-003el1; Tue, 08
 Oct 2019 10:52:53 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87o90u2yq9.fsf@HIDDEN>
 <874l1e7wcq.fsf@HIDDEN> <87v9tuh08w.fsf@HIDDEN>
 <87h85dycnh.fsf@HIDDEN> <87sgoxf86i.fsf@HIDDEN>
 <87muf4tlve.fsf@HIDDEN> <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN> <87zhig6hq1.fsf@HIDDEN>
 <87sgo81m60.fsf@HIDDEN> <87eezrhbmb.fsf@HIDDEN>
 <87y2xziesu.fsf@HIDDEN>
Date: Tue, 08 Oct 2019 10:52:58 +0200
In-Reply-To: <87y2xziesu.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 05 Oct 2019 07:59:13 -0400")
Message-ID: <87imozty8l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:7DqqfMt131RKBQU2zT4tV8ACutKrCnqezGXvKWD3Jnv6AQTj5Ug
 veCt9mteicXkkYpyFTAuF+NdsxC0NETnqL13L2LKu4u+/o+A+XEYN7gg/Jup1aOL4A+tPgH
 3FNSHxRnSbS+u2CDc9g/p70gkHRoACBipPJQiKD8kUQCabOP20cp3hno0s7cL+aEpV8z+VB
 Y029nenNinsS0vm5M+/Qg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:HF+wDk7UKwE=:83pG1KtVW1E3KaMCytSAQM
 6X3kXXIlAF8S5CV592ps81iukXNdF7hd194lYgUXcH7sNs9jUiU1SVksXWj0HVZRIK7Wp0dVT
 eMfd0HtvfkSICX6Ltcw4Zkq9lXY8ObjMw9cIlNL4kmkOpwv9DQHTQnixrPCpF9g5EDWhv1y7W
 2+N0jrWIh8toOroFNnnAunxK0mXOzwhG1rVOXlq5SCWFJZ4l11hhDTA6o6Aq/nUYncMsT8rPH
 p8geWqsVxKSZMXYgRTG9SmmUxOaIILWC7zllDAFLjIOi1lC5MBSt3BcsGDimDnp/RqNsK1tHR
 Mc5v9Qy6YjnnFlHGJiVsco2TPOZqaZN3Xeydc4qF7XkcnG2yylPud/dzwPa77cyXT0xT6emuA
 0F+FwuV5DhjApCuvRntoYrhjGoC8X6ZuPlkkAg+Xjcidx5Ooync1kpUXeWtbjZN/Or/MqxL+o
 B6v2Ire/2YZ0nmoMEGzqNlDZjSzqQ1m5YwgaQ4qUKJJZq55pIRRmFpbPf2FRwje3ffj0jkbui
 l1P/rY/vFS298UUsmJG4bQw+qPRa9z2e2m/WsARnvJ7tj/JshH2iJSa2Vf8ZQZYjb56tfy8E1
 /yQwRl+6uuhOfzFNo5lTDJuDUQ2RWazFA/xgNS4W7GrUl9nXWa2HubrlpcPxd8oPsWgPS10dS
 fTe3QgRo230YFi23K6pI/v23jMX4CNC8G/2XMsR4tQyjSoz9OK/Hi3BgtimbWVg6YfPuFeT4O
 QmyHvAdhkJlCRQAHfAUQi2sBXVI/ktivA8yVaP9qh4T7R21uDI9u1aGyH6SQSyrX26cjhYyrr
 xJkebxdKIw+L7N9RpAD65LGLbo7AJBPp26jF2VgJAx3JnvqeRYlfQM7nhlyutbrP2obEb1s6w
 d8HdrkKrbG06qZCgMa2asOHLhJ8wYiCPS/Ow3PoTF1Qje4nll6ZC73W62DtILSJ8cIFKtvCxq
 PO25jItExYgfJ0eG1+tTcy20dTa8S1E4LsCELQO4+upQxUQdE5lEaMaoh9SZeLu8Sg0kP/2Dc
 aIMykDE1OV/s+hlJxozVU1YeAK0j6Hg6HsUOXU4BoYJM6rg10zEb7k0ugNQ37YpWBXa4u10Pm
 nTvndt/983obRHIeCw8ZZtHnnxQUFtMkGdXy58q5S/fO8NAchn7v6BQmgzai9WD3k7IZ2dd8j
 p+x88mA9zzlys5Cc58Gjav4gB702Bm8ioQFRAf6TP6gdCkD4XBDN3HIsJOovMkI5cJmw6Xe54
 bqsDkXrxaDADytC98R8i8wpn0nt48fTEleiok85xVtBDQwtrswV9YA1ve6vU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org, 36903-done <at> debbugs.gnu.org,
 Michael Albinus <michael.albinus@HIDDEN>, 37590-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Great! I'm closing this and a related report.

Hmm - same recipe as always, today I'm getting this:

Debugger entered--Lisp error: (cl-no-applicable-method registry-lookup nil =
("<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+..."))
  signal(cl-no-applicable-method (registry-lookup nil ("<CABczVwdfiSF3DpZ0Q=
prBYH_o14PDpDT6nvip__g8K_F1Eyn+...")))
  cl-no-applicable-method(#s(cl--generic :name registry-lookup :dispatches =
((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 =
:tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fe70a31=
de9d>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode=
 0x1fe70a31de8d>))) (0 #s(cl--generic-generalizer :name eieio--generic-gene=
ralizer :priority 50 :tagcode-function cl--generic-struct-tag :specializers=
-function #f(compiled-function (tag &rest _) #<bytecode 0x1578a5722cb9>)) #=
s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagc=
ode-function #f(compiled-function (name &rest _) #<bytecode 0x1fe70a31de9d>=
) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1f=
e70a31de8d>)))) :method-table (#s(cl--generic-method :specializers (registr=
y-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function (db ke=
ys) #<bytecode 0x1578a7918569>))) :options nil) nil ("<CABczVwdfiSF3DpZ0Qpr=
BYH_o14PDpDT6nvip__g8K_F1Eyn+..."))
  apply(cl-no-applicable-method #s(cl--generic :name registry-lookup :dispa=
tches ((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :prior=
ity 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1f=
e70a31de9d>) :specializers-function #f(compiled-function (tag &rest _) #<by=
tecode 0x1fe70a31de8d>))) (0 #s(cl--generic-generalizer :name eieio--generi=
c-generalizer :priority 50 :tagcode-function cl--generic-struct-tag :specia=
lizers-function #f(compiled-function (tag &rest _) #<bytecode 0x1578a5722cb=
9>)) #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0=
 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fe70a3=
1de9d>) :specializers-function #f(compiled-function (tag &rest _) #<bytecod=
e 0x1fe70a31de8d>)))) :method-table (#s(cl--generic-method :specializers (r=
egistry-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function =
(db keys) #<bytecode 0x1578a7918569>))) :options nil) (nil ("<CABczVwdfiSF3=
DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+...")))
  #f(compiled-function (&rest args) #<bytecode 0x1578a6935d31>)(nil ("<CABc=
zVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+..."))
  apply(#f(compiled-function (&rest args) #<bytecode 0x1578a6935d31>) nil (=
"<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+..."))
  registry-lookup(nil ("<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1Eyn+.=
.."))
  gnus-registry-get-or-make-entry("<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__=
g8K_F1Eyn+...")
  gnus-registry-get-id-key("<CABczVwdfiSF3DpZ0QprBYH_o14PDpDT6nvip__g8K_F1E=
yn+..." gnorb-ids)
  gnorb-gnus-hint-relevant-message()
  run-hooks(gnus-select-article-hook)
  apply(run-hooks gnus-select-article-hook)
  gnus-run-hooks(gnus-select-article-hook)
  gnus-summary-display-article(18 nil)
  gnus-summary-select-article(nil nil pseudo)
  gnus-summary-scroll-up(1)
  funcall-interactively(gnus-summary-scroll-up 1)
  call-interactively(gnus-summary-scroll-up nil nil)
  command-execute(gnus-summary-scroll-up)

so the issue reappeared (because of Gnorb?).

Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903-done <at> debbugs.gnu.org:


Received: (at 36903-done) by debbugs.gnu.org; 5 Oct 2019 11:59:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 07:59:24 2019
Received: from localhost ([127.0.0.1]:43811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGiia-0006EG-8W
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 07:59:24 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:37738
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>)
 id 1iGiiY-0006Du-6V; Sat, 05 Oct 2019 07:59:23 -0400
Received: from localhost (unknown [96.47.146.67])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id CD8AEFA02A;
 Sat,  5 Oct 2019 11:59:14 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN> <87zhig6hq1.fsf@HIDDEN>
 <87sgo81m60.fsf@HIDDEN> <87eezrhbmb.fsf@HIDDEN>
Date: Sat, 05 Oct 2019 07:59:13 -0400
In-Reply-To: <87eezrhbmb.fsf@HIDDEN> (Michael Albinus's message of "Sat, 05
 Oct 2019 09:53:16 +0200")
Message-ID: <87y2xziesu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903-done
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36903 <at> debbugs.gnu.org,
 37590-done <at> debbugs.gnu.org, 36903-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/05/19 09:53 AM, Michael Albinus wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
> Hi Eric,
>
>> Oh, ha -- Magit was much too polite about the fact that it had failed to
>> push to the repo! Should be up now.
>
> Thanks, the bug is solved for me now.

Great! I'm closing this and a related report.

Thanks,
Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 5 Oct 2019 11:59:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 07:59:25 2019
Received: from localhost ([127.0.0.1]:43813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGiib-0006EO-JN
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 07:59:25 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:37738
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>)
 id 1iGiiY-0006Du-6V; Sat, 05 Oct 2019 07:59:23 -0400
Received: from localhost (unknown [96.47.146.67])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id CD8AEFA02A;
 Sat,  5 Oct 2019 11:59:14 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN> <87zhig6hq1.fsf@HIDDEN>
 <87sgo81m60.fsf@HIDDEN> <87eezrhbmb.fsf@HIDDEN>
Date: Sat, 05 Oct 2019 07:59:13 -0400
In-Reply-To: <87eezrhbmb.fsf@HIDDEN> (Michael Albinus's message of "Sat, 05
 Oct 2019 09:53:16 +0200")
Message-ID: <87y2xziesu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36903 <at> debbugs.gnu.org,
 37590-done <at> debbugs.gnu.org, 36903-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/05/19 09:53 AM, Michael Albinus wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
> Hi Eric,
>
>> Oh, ha -- Magit was much too polite about the fact that it had failed to
>> push to the repo! Should be up now.
>
> Thanks, the bug is solved for me now.

Great! I'm closing this and a related report.

Thanks,
Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 5 Oct 2019 07:53:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 03:53:40 2019
Received: from localhost ([127.0.0.1]:43650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGesj-0003re-9b
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 03:53:37 -0400
Received: from mout.gmx.net ([212.227.15.19]:49073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iGesg-0003rO-JK
 for 36903 <at> debbugs.gnu.org; Sat, 05 Oct 2019 03:53:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570261998;
 bh=w/fIhhDsVe3ljwu4BiM5/3EWgVjIU6NH6Rv9Vew3Ydc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=d64ClvcX6Hbxu3vtWBBQTeFcROZ715APr9QsKhwfmZ64LCIHpwoBoliwfScKJZ6xT
 S5X00wunPRuLr+fX35SPVE4JMttTZrTJC+/f5ku0Ox7pHIJpRnw2tCDjATiLfKC8X3
 dWpanxCHVTPoUZIQpXWmSoP5bpI+M8ssU8PipqX8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MeU4s-1hihZK2grM-00aUsQ; Sat, 05
 Oct 2019 09:53:18 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87blx0afpv.fsf@HIDDEN>
 <87r25rz36l.fsf@HIDDEN> <87o90u2yq9.fsf@HIDDEN>
 <874l1e7wcq.fsf@HIDDEN> <87v9tuh08w.fsf@HIDDEN>
 <87h85dycnh.fsf@HIDDEN> <87sgoxf86i.fsf@HIDDEN>
 <87muf4tlve.fsf@HIDDEN> <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN> <87zhig6hq1.fsf@HIDDEN>
 <87sgo81m60.fsf@HIDDEN>
Date: Sat, 05 Oct 2019 09:53:16 +0200
In-Reply-To: <87sgo81m60.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 04 Oct 2019 09:59:51 -0700")
Message-ID: <87eezrhbmb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:DAC17dSLcGkfoAmjH2Xz14SAfFgv8knOMEYoA779dyLECmVtRem
 wuIYISyEG/0HM/NBws8ZizkAicirexFIHDCRvgG1VhDJQ1+MPmmZ0+He9+shDklCeSWIy29
 o+TGQJaV6P7ax2DnlBJwlB2/LowQXl6xi41kiZmlCXzhRuTBqDD6ahh7Cy96Xb8bM8IIavx
 iwnWDrJaQ5q7014bPIwWg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:wepDAH+vmzI=:I7/Ff2HQVuKRF03U+RTH7+
 KGCYxWMx9GvHxrG3SjEt6eZLu9HHicOkCJYuwQ+NeRCV8Ar9ync++8oWAHXgyjYu3mtfgb9Oy
 VRkPSnDwt6+9ISNsC/swV41bk3rVLaozZTt0I85gU5kHBg0JaoPWPkUlWDuO/fZlW/MoT4eHw
 KMIfHsrw89JTwVMcj80dPZ7RXa2slK364HbS4oEOGKpmFPhia/KHOIxRoyP9MQcv6rvkzPr6Q
 upx1Q1ZhfFOod3eqHLzffJt35hH6nwAZfGQn6Nlk/0d4MLjo5hCcS/LanXoOQh7PKSzMdmjhc
 +NnjQxXUPA/6BgHmarkWg0nTtUBA8rsrkX6xrv5EfRscwBOd1VkUQb5VO1G9UV0Ec0jJT/xd3
 gmu/lUxhVnWCRLoqlYw1IDFJP8iCzYoA2W+K03OGOoP3WBrmFwCpsx+upAJHuY9KWWrZutLGg
 iTZQ79wI/SxawbC9mClHw1v6S2HBRZyzbKoLC+F8+dq0Xz73Vj63G+C348/rACL2gemdlO2bq
 qP8FE/HvQBXuWwH8Hrb3aGKtymuJLjABCJOJxhyqA7BKQu6OlNu7B+joGaPwPeBIUn69BBYsc
 Qv2mgla4AZd8Ug6frxYpGJAFJOST6rYexf7X0S3+a+kSVcpSQ4IHG5AYXCSEwR31Pkauo33dJ
 +QXr6Q6EdWH9BLISUstB0yUMpE22NPdBjUaBUjNIl84DS2GOeGrx1hsHiAnH5b1q8BKhgq4qU
 NaKPa9hrQ4RDFmOlrqXL017UwpP4bAjQG0mCYDgU6V/0vefRQuVpZTkvWt32ZGDdbWAeEcACo
 wqMzr4T5cX4btLcPBc84SSSE1/T4x0LtLClS7CJT6F2aCrWWLAPpz/2BpJvRI3ncGw1/o1h4g
 L/YWfUNSgevmCkUEuIRW17pYzYAiuqHC6dn3XSHBmLSivy55Wk/osE724aQot+nErCk4rOOJ3
 KMQFsPWeM7nn8nkyHzUlMQYYlqkCsprIEOUfAea3Zo3wwvynGZl5Tes2WyaIGRYocdokd9WzT
 BOvHGyPhqKNKpTu70EX4gs9FbWE4YkdbJh6xjuIbi1ONhuhRnjE/0d9acq14kPFKajRHhtY9Z
 FHolWgUqeM3i95utH1LrYI0rG8tXPiLl4V41SO0/qDPaYyOgMX98NVNWS6qxvzyrA3378vRPX
 2ZzKxhulcLFgVYQiC0tAjHb+nbiXUSXa/ygRO7rKygaTykQiLfH7C3jp6TdFRtGzdq3h7eczF
 jWulTNXOA+xlfPgjniOEX2hAFZ8CgtTwVtQ3dthdKEH7OJT6zopQZSehL2QM=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

Hi Eric,

> Oh, ha -- Magit was much too polite about the fact that it had failed to
> push to the repo! Should be up now.

Thanks, the bug is solved for me now.

> Thanks,
> Eric

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 4 Oct 2019 22:15:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 18:15:04 2019
Received: from localhost ([127.0.0.1]:43556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGVqq-0004RR-Kx
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 18:15:04 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:40098
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iGVqn-0004Qc-JT
 for 36903 <at> debbugs.gnu.org; Fri, 04 Oct 2019 18:15:02 -0400
Received: from localhost (unknown [172.58.169.163])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 472D3FA028;
 Fri,  4 Oct 2019 22:14:55 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
In-Reply-To: <87zhig6hq1.fsf@HIDDEN> (Michael Albinus's message of "Fri, 04
 Oct 2019 10:24:38 +0200")
Date: Fri, 04 Oct 2019 09:59:51 -0700
Message-ID: <87sgo81m60.fsf@HIDDEN>
References: <87pnlmen9q.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN> <87zhig6hq1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 36903
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.2 (--)


On 10/04/19 10:24 AM, Michael Albinus wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
> Hi Eric,
>
>>>> Just pushed a commit that does this. The nice thing is, the unload-hook
>>>> sets gnus-registry-enabled to nil, which is a better (less
>>>> implementation-specific) test for whether we can rely on the registry
>>>> being present or not.
>>>
>>> Thanks. FTR, your patch still doesn't fix my problem as reported
>>> earlier.
>>
>> I've just pushed a patch that ought to fix that problem.
>
> Sorry, it still doesn't work with a fresh pulled Emacs. According to git
> log, your last commit is 93dd959711222cf594051fa397d6a6e324e136fc from
> Oct 1. Did you forget to push?

Oh, ha -- Magit was much too polite about the fact that it had failed to
push to the repo! Should be up now.

Thanks,
Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 4 Oct 2019 08:24:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 04:24:59 2019
Received: from localhost ([127.0.0.1]:41706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGItX-0002zq-01
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:24:59 -0400
Received: from mout.gmx.net ([212.227.15.15]:52793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iGItV-0002zb-CP
 for 36903 <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:24:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570177480;
 bh=GZl/xTbCgWXSng4AsNEjuCIDD3HviW10yj+OJNAkbJU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=l4e+t1Dqye3K0lvV7DslkeTqBGRt51Z9uaeapoWLEIgfa2CsSEIuc787SdRLdNAGc
 aT7fNbxsihmtYONni+102bIKX8Pj9xiEVTWXOmNhr6wPlEjef5oKDIMOidpf//2bpR
 p8iu3+Ntt9c64u5jZg4cXsoTqwBaK2T7gKndqk5c=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MeCtZ-1hfK6q3CA3-00bMCS; Fri, 04
 Oct 2019 10:24:39 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87pnllvera.fsf@HIDDEN>
 <87lfw497re.fsf@HIDDEN> <87blx0afpv.fsf@HIDDEN>
 <87r25rz36l.fsf@HIDDEN> <87o90u2yq9.fsf@HIDDEN>
 <874l1e7wcq.fsf@HIDDEN> <87v9tuh08w.fsf@HIDDEN>
 <87h85dycnh.fsf@HIDDEN> <87sgoxf86i.fsf@HIDDEN>
 <87muf4tlve.fsf@HIDDEN> <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
 <87blux2z3x.fsf@HIDDEN>
Date: Fri, 04 Oct 2019 10:24:38 +0200
In-Reply-To: <87blux2z3x.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 03 Oct 2019 16:22:42 -0700")
Message-ID: <87zhig6hq1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:cUhJGGCrGtjraGmY04hg6w2BodZE98qdwg/f0oGZkF8JFwJ8BP9
 75hjaQh/7827nolySK4IHUEsQSbqKR71nglxiul/w59SR7imA8ddc+MDIJfgyQcP157xZqS
 s5TBveFcU4D5hFILLbq9XEPMhD/vij/ZUQ5jwdnRBQxhfPT6YHu8szStwxV3SYpF7hagmip
 A8j02mL5GCjipLZZYGl6w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QKoJ/qEVnBo=:EEa0urt8SGHlaq17/mg6wL
 fwR3/Fb3EMqzDpMv7nGLA5HhbrufRlA0nqEDNA8aFIGeXJbSiSIzfPDHe/c9pUbpy2N0gnYM4
 09OYZYZnTVT2Jc5Eq1xz3OUKdzuyTZ8yg+kxflel3v4RSo2tg08b3j6eGgZL50zUcAKJZjeUs
 aCEJLepiEYRczfG8Sh4z6HDl80q9at+Tvf2F1Lu+FjyUnRD2sTIsdKhScuYsHP92CSsQAXoDQ
 42WxIUTRVnDRxzF4X7HIkBm3KfGCzRDsc7QhTL478MxU4jDTWjzjt1Tx1WFqfsbwNQwsvHuHV
 JDPk5w0XKZ0RNKDXFkeMpwHKpCKN+EyWHUZwvzCyL8qZgof/7PWmBgmDdgL6Htoi9bXg+GcXx
 cXMdLLbv34rRuft4rU1455Sk2xn5QR1ksQcY1GuZtGRq+kT/rta/2I9Z3CpQzdD0x0RkHJTBl
 VuYurKZOnQkta73tW+CWiYG13lAR4gTC0IsT9BLH18fPRL/9FSh6ltI73Sook5l6MiuveUYBf
 aOORxw85QTSeKakhBK79fG1qFtPlgGRAQTUg3UlbtiC+fZueRiKsDWzK7hd17qS64MZhMz3NQ
 440HHSsQI4EtOpmBoliPHCiN7oCv08YddusiA3Hc1qp7WluY02SKWt9kNxn0CpfJpyhU9fcvj
 EkqoDv5Vce8F9o1vm6EaUpOfbUzh+tuO8Y0cUFOzU3XZKJdFHQTSwG62R0fkP6ZgvdqNu+TBC
 9iK+SAlhGBKogMvQ2GeKUIVcR7tFxfDM1IhykADrwIiCRYk7QvnhVPlUW0NMfCx6QK1HLj0Y8
 Hg8VXUZiP80DQs4L6Aq7aZEr5n67UaHSiyYDrd7qZaOEk9eQ05w8UEy3IJ9Umj/JqlcoWFoS4
 T3yRheI05IIIg8sfwHCN+dWmcxmNhPS2wXQOfQ5JzU2J5bYrT+oTUqQ+1e0FfRR1wWEWD3wKO
 lP+vVCCyKZOTx5eO7NyX6EB1GzQ+9s3NkVpx0ZSTwLHt97ET+jRWx6uY7H9w/t084IiuDuVby
 UFg9hnAMfQniILxOQ+QYXBSxatw+AEfz233Faf1XBXkUOqknrdeNvmIW8OsapUPx38CvYujc7
 yDPaRFWnMO6Os9nR9IRhCgjnEoJHjwqB8bDX1jrWENJyfoODn7mqt/+hsYYRrumvqjiRHrtvm
 N+HR7dUpM023BbjNSJDIviX56XXDIwsHBI4jXxsJ1W5FM3Fm9/nUirtRsJU1PQm95snukSV+t
 q2mwxPup9BvqygBOdibq7lr+IkpRaViJ5dXdc2ZjGgiV3PZ3Z8VsM/PKywsg=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

Hi Eric,

>>> Just pushed a commit that does this. The nice thing is, the unload-hook
>>> sets gnus-registry-enabled to nil, which is a better (less
>>> implementation-specific) test for whether we can rely on the registry
>>> being present or not.
>>
>> Thanks. FTR, your patch still doesn't fix my problem as reported
>> earlier.
>
> I've just pushed a patch that ought to fix that problem.

Sorry, it still doesn't work with a fresh pulled Emacs. According to git
log, your last commit is 93dd959711222cf594051fa397d6a6e324e136fc from
Oct 1. Did you forget to push?

> Thanks,
> Eric

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 3 Oct 2019 23:22:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 19:22:58 2019
Received: from localhost ([127.0.0.1]:41457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGAR0-0006ea-98
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 19:22:58 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:41922
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iGAQx-0006eH-Aw
 for 36903 <at> debbugs.gnu.org; Thu, 03 Oct 2019 19:22:57 -0400
Received: from localhost (97-113-222-97.tukw.qwest.net [97.113.222.97])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 1C336FA02A;
 Thu,  3 Oct 2019 23:22:48 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN> <8736gb8gtd.fsf@HIDDEN>
Date: Thu, 03 Oct 2019 16:22:42 -0700
In-Reply-To: <8736gb8gtd.fsf@HIDDEN> (Michael Albinus's message of "Wed, 02
 Oct 2019 14:36:46 +0200")
Message-ID: <87blux2z3x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
> Hi Eric,
>
>> Just pushed a commit that does this. The nice thing is, the unload-hook
>> sets gnus-registry-enabled to nil, which is a better (less
>> implementation-specific) test for whether we can rely on the registry
>> being present or not.
>
> Thanks. FTR, your patch still doesn't fix my problem as reported
> earlier.
>
> Best regards, Michael.

I've just pushed a patch that ought to fix that problem.

Thanks,
Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 2 Oct 2019 12:37:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 02 08:37:07 2019
Received: from localhost ([127.0.0.1]:35666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFdsR-0002EP-15
	for submit <at> debbugs.gnu.org; Wed, 02 Oct 2019 08:37:07 -0400
Received: from mout.gmx.net ([212.227.15.19]:52021)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iFdsO-0002Du-MZ
 for 36903 <at> debbugs.gnu.org; Wed, 02 Oct 2019 08:37:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570019808;
 bh=vDHHKJSXa6OKEQqSMqGCRzo1wZ7VSir1JWbT+aCOFTw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ev1QzOqNTEtdBddiJITaLXY/ztmlfvI4+yFDGNBuvEHcLspZrPuGjdXSRjKaHKi7J
 fusE/OQBKbkA706XTFTmKEpJh5iiqQaXFGLi6BLvZcZRS9aO3zMCCxXnlpV5G+a9r3
 rdhqd5+Cus7oX2jjfJlwSLsaCIhM3PgzzzcaeCHY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N4zAs-1i5iBo1noC-010s6i; Wed, 02
 Oct 2019 14:36:48 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87r261pwi6.fsf@HIDDEN>
 <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
 <87h84snj0w.fsf@HIDDEN>
Date: Wed, 02 Oct 2019 14:36:46 +0200
In-Reply-To: <87h84snj0w.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 01 Oct 2019 16:27:43 -0700")
Message-ID: <8736gb8gtd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:JDB5bWiguRJErUAZ1aoH3QECrEWmNAtoiBk6m7TisdRzBkjrfaR
 4ruw/XQ24yLOONCAfNphRVEdO2DO328KpHCHPtOTlYIlXS67t3cG3v0o0iJGj7Pm9u1a+V1
 a2FsLZWCRCDw1ZzGRW6wigvX1En/ZwzZCp3Ij2l84PU9bLFG4DDr5sLiZflRjlYVJwzajFk
 ERt4BRdSJzZk+r7BQfpbQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:V6EQTIuImks=:sOBxV+I6q6gttlY8Y63Kp2
 RV18yJUDX6uJSUjx57ra/80mgVhRY/jjwGhCsnIfEWnOIYGlk7Cg+3Q4BOuYSACKtk4lapux8
 NPgImJ17f/SKkcsDmWhIgRPkXt9Hi/zehvr3SIR3vh0rJafJ083Ujx6ru0vNvzSAbRaY1KfJ0
 XVEdcMM5+H1oNiek77k9ztj783E1qhxtj1r6+T8ch4o30r8Q5tmJKKXw+larpIJXO0Wct82Zj
 UIjfSJpMJ2Vy7jTUSBvZsWGoePmONU1doUNLmB15mmaDnsoScdy5g4kU7eot4Tn2yezW4oLgF
 VHLEh53Zd4xmGlysrMJrJUcr00DQVBHV/ClL8oAk4KKQ6bPSzgygahkPUNMyTaLT78OPHaQgD
 Jek6zlCk9I3Ov40Obs+M7QThWZFF76nwGfYIWhn9HtRdTm3AzhiBX5jvJuxqN0BLsHORpX0Jw
 OLF1K/ohPsZ6llfX3ZE5AlrTZrszRrMYvDEI+fsy66ZscuD0UoJ8ZI7HQB/daPiapp7qvsngG
 MQq1wFgWgO8uNFeHsNXBpi9Hg7iDUfDcUOV5npbMb86kthQu8VMJqWBS2bKpieR/YVBJDGr85
 oLs5lQE9nH20+2LDyW3q69pc19owq+wj/Eue5yNNZ6uPEseWjU1u2Nl/IG+R7+94IRbujZ3MA
 vLTjhfx6aw7px7JUu2Afo1yHGwAbFQLQsPLoQ4hcOiPncRFVd+tjCSDLwfrhQ+8+42sECfhce
 B2fhamUPmPd9ScVpsYQVEm2M86/xxm2MiaiETX74VGwQs6SNmRfbAEg1+X5yYLWBdL130fNut
 0TiLzv5VpTqJGCKikuXmud0oKLkxgrhAeOWZRgqckYVhQkYKFkna5apTnRCEEHQWPAhZviQVD
 T8EkOGr2uBk4F3fBWonRLirHCAJB3xYR5Yw0RML0yKtacKKtSllVhOiTSOhCne+n49ggDp3R/
 iMyd8CZMoHNWf04Gz7nHfD70jJgCIPvYud1EAhXZTYPQa7U6BLrasE5mtRz1AFb8rfeHkurnI
 eH2vZ8JgcPDCGR0P6/VYNiTV0WxM/n+jM+zYF3kMckZmNIrlH77W/cNqaCr3DE1CSUx01Sj/i
 f42n3NuV+VVFiExxpnAYz4uVWOfIWXEiSW0Y1P9Ydiu9W8t3naA8EMNGX0PKDkO1hZ1EnmQZS
 PKmmBhATSbhgRz0zH0O+M3dVWUn158ZIoJ44b3TplbHAVqinLFQHxS/nIslqEo6AyPkqYGVLA
 ZuOHGSzHsm/9hpj4/UT8hB88OaJaoRplV532Ue379zP+MKYL53QlyNJUzwmc=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

Hi Eric,

> Just pushed a commit that does this. The nice thing is, the unload-hook
> sets gnus-registry-enabled to nil, which is a better (less
> implementation-specific) test for whether we can rely on the registry
> being present or not.

Thanks. FTR, your patch still doesn't fix my problem as reported
earlier.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 1 Oct 2019 23:27:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 19:27:56 2019
Received: from localhost ([127.0.0.1]:35194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFRYh-0001pv-LJ
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 19:27:55 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:53034
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iFRYd-0001pe-VG
 for 36903 <at> debbugs.gnu.org; Tue, 01 Oct 2019 19:27:53 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 128DDFA088;
 Tue,  1 Oct 2019 23:27:44 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN> <871rw4mj82.fsf@HIDDEN>
Date: Tue, 01 Oct 2019 16:27:43 -0700
In-Reply-To: <871rw4mj82.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 25 Sep 2019 09:30:37 -0700")
Message-ID: <87h84snj0w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>>
>>> FWIW, your fix works for me.
>>
>> Though, today I got this:
>
> Right -- the registry shutdown should also run
> gnus-registry-unload-hook. Let me play with this and test a bit, and
> push it if all seems well.

Just pushed a commit that does this. The nice thing is, the unload-hook
sets gnus-registry-enabled to nil, which is a better (less
implementation-specific) test for whether we can rely on the registry
being present or not.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 25 Sep 2019 16:30:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 25 12:30:48 2019
Received: from localhost ([127.0.0.1]:42374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDABk-0004Ow-IH
	for submit <at> debbugs.gnu.org; Wed, 25 Sep 2019 12:30:48 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:60488
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iDABh-0004Od-KD
 for 36903 <at> debbugs.gnu.org; Wed, 25 Sep 2019 12:30:47 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 432D0FA09C;
 Wed, 25 Sep 2019 16:30:39 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkpq0az.fsf@HIDDEN>
 <87ef21wzrm.fsf@HIDDEN> <87r261pwi6.fsf@HIDDEN>
 <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87a7asu33t.fsf@HIDDEN>
Date: Wed, 25 Sep 2019 09:30:37 -0700
In-Reply-To: <87a7asu33t.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 25
 Sep 2019 11:39:18 +0200")
Message-ID: <871rw4mj82.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> FWIW, your fix works for me.
>
> Though, today I got this:

Right -- the registry shutdown should also run
gnus-registry-unload-hook. Let me play with this and test a bit, and
push it if all seems well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 25 Sep 2019 09:39:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 25 05:39:39 2019
Received: from localhost ([127.0.0.1]:40837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iD3lr-0008FX-HF
	for submit <at> debbugs.gnu.org; Wed, 25 Sep 2019 05:39:39 -0400
Received: from mout.web.de ([212.227.15.14]:45065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iD3lp-0008FJ-Uk
 for 36903 <at> debbugs.gnu.org; Wed, 25 Sep 2019 05:39:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1569404358;
 bh=C7Zcu6X6N6rho99aoR59yk2Rawm8GjRmEqKEbkzoxTw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=LO2yc0/1OBEDQOWwcIrIcGGRcu235htNLbMXqC+AvsRcoIF2MREnVZU0trt7gDEbU
 luqBK68Q6wfQswluFTLZUrC0QYMphTqamiY1sQHfCE9PeLwFMXOe2g6rcScp5G21C2
 fDMtfXi/pm3qXl5bSv2PYUDes2oRcPFYYfdSivBo=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.216.136.59]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LbroC-1hnrMo1wma-00jLK8; Wed, 25
 Sep 2019 11:39:18 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
Date: Wed, 25 Sep 2019 11:39:18 +0200
In-Reply-To: <87r249jg44.fsf@HIDDEN> (Michael Heerdegen's message of "Sun, 22
 Sep 2019 03:04:43 +0200")
Message-ID: <87a7asu33t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:r5p4FZTF+vGeBr45N1SGIeRaNFAedkSfvUrRuXsFzmtwQf8n6T+
 XdvsjGfp1JZeY8+ITkSmSDHlbqPCiP03QlWGDxFb6qsfwb4IwY1gFq855JjwzhaK/bFiQh2
 MYYtm0ycvq0So0PeVZm1dm3ivWyoCpKS0P3hj5rmx7GU5W0g/A7AntVc304LgI0b1khX6WP
 6yazi4XTAqShWQpHoywnA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:oC9Y+uQsFTQ=:NVtNTpkHkmTRHyCVLFLu8I
 21E7FDyB1iMaFjChHzZ5XK+9F3H5ZnkIg6RMDmIIfzorcQnuSOR3J6AXYzsLyL8XDkAUfCrhO
 zIW0lwqD4DiF6jt5ACcbj+fZ5o8C/YZPyIJqAuovN5mi49OoPsalUHTFYNao/7ViISRslN5j8
 b0wSjY0a0p8wA5qnmd4RCav+LZ5zU/rxjU1TNJuKVe8atyXBDeo2nWKipg/Xj3DYiyThTvq89
 uQHTTK5wKX1g+SUf+eyAKS753Xy/q96ROHkdctfWL63r5xqf4W/mTlTnct+xuoqEhzbqTvVoz
 CRxQPusE2E3e0sxtBxMcefw3be99nAYf6fhDFIONysDr7MC1L9hlz5U2XRVJsCooXLR+2NQy3
 6ZTyz3+HKsZfaqSVwLik7QXLZCcG7wUDJCN2BmPz6JDaVyDXVFUi4/YJd0wDbtqN8ARRCmmxL
 yKXV/uJ1uuxJ9Xj5lOIhVYuddIz4iKIbAsP6NBmr5nZvw2YRjpXLn9uL3+lHTyCENFDDmBO3V
 XBZvhYW9mRJWf5GuiFF6Ulm0uw/PBOdfIsw+fgSGXow1OwzZTwlSNvQL+oHmyZsf0TSyk+Tqi
 S9xfMbVk3EU951Brd/DrPSNqDXzP9qYDPYhDnb/DYVkes1IzgdVlAQ/V03nXoMD5Sr1eMR+bC
 1f4ZDP4vDHwBbUnjoJFP2xiUx/UIwct/C1MLeqoqkTTqR/URbbvCyRGBsW8YPFubBOuLImF5U
 st1gkqrGaxas45BcvhaklGljb5bJxrd3QaQW0LA44sMo5GVBtN/Jq1WDl89y1Tcbmz2VHzqBc
 x5QILTrNI7V2eb9ql4xoPBJAIkhO6cUMlkYOs/8KI6v2LN+uE/c/BZh1pXMaFkvIiDma7Xkj1
 vqZxPypzUSsd3dVSQ6mV3v1EDr2CnRd9PUhEufMdEQ5Ab6xpKAhtqanqS/mJPp28V/zBAZ6Od
 hbh6UrwoLPvP3ssl02noJvJlAvt8YtGT06gYHgKrS9/L/GCVOwpW749EeKOzt0a4YpfrMTf/d
 xsCiULR78jcGoSS30Am21xOwAxlesDbVRGVSpSvZ2uElgI7afhgFa0MGysm1/O4DlX26hrl0U
 wPWKKJIFw4EwslnY6VZ//0q80vjFhLO5pDUSeAHYla8v880s8YfnOaJLw72wnjz/r/47CSqmi
 7avZLyajx83W+CngK3+y7o7hLOEsMOQKcgdWo5lsE2r9cqw7VbXef2Hnf7qBe0xWrylA4hy2A
 G38vw+GIvvdLjghZU5IeW65K2gFGTlE5aYcXcmrxe1N9EuhqKJsNN52nMRko=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> FWIW, your fix works for me.

Though, today I got this:

Debugger entered--Lisp error: (cl-no-applicable-method registry-lookup nil =
("fake+none+nndoc+ephemeral:bug#37321+1"))
  signal(cl-no-applicable-method (registry-lookup nil ("fake+none+nndoc+eph=
emeral:bug#37321+1")))
  cl-no-applicable-method(#s(cl--generic :name registry-lookup :dispatches =
((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 =
:tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fef6cfb=
0adb>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode=
 0x1fef6cfb0ac3>))) (0 #s(cl--generic-generalizer :name eieio--generic-gene=
ralizer :priority 50 :tagcode-function cl--generic-struct-tag :specializers=
-function #f(compiled-function (tag &rest _) #<bytecode 0x1584e6ac4ded>)) #=
s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagc=
ode-function #f(compiled-function (name &rest _) #<bytecode 0x1fef6cfb0adb>=
) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1f=
ef6cfb0ac3>)))) :method-table (#s(cl--generic-method :specializers (registr=
y-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function (db ke=
ys) #<bytecode 0x1584e75f4c5d>))) :options nil) nil ("fake+none+nndoc+ephem=
eral:bug#37321+1"))
  apply(cl-no-applicable-method #s(cl--generic :name registry-lookup :dispa=
tches ((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :prior=
ity 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1f=
ef6cfb0adb>) :specializers-function #f(compiled-function (tag &rest _) #<by=
tecode 0x1fef6cfb0ac3>))) (0 #s(cl--generic-generalizer :name eieio--generi=
c-generalizer :priority 50 :tagcode-function cl--generic-struct-tag :specia=
lizers-function #f(compiled-function (tag &rest _) #<bytecode 0x1584e6ac4de=
d>)) #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0=
 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fef6cf=
b0adb>) :specializers-function #f(compiled-function (tag &rest _) #<bytecod=
e 0x1fef6cfb0ac3>)))) :method-table (#s(cl--generic-method :specializers (r=
egistry-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function =
(db keys) #<bytecode 0x1584e75f4c5d>))) :options nil) (nil ("fake+none+nndo=
c+ephemeral:bug#37321+1")))
  #f(compiled-function (&rest args) #<bytecode 0x1584e82451e1>)(nil ("fake+=
none+nndoc+ephemeral:bug#37321+1"))
  apply(#f(compiled-function (&rest args) #<bytecode 0x1584e82451e1>) nil (=
"fake+none+nndoc+ephemeral:bug#37321+1"))
  registry-lookup(nil ("fake+none+nndoc+ephemeral:bug#37321+1"))
  gnus-registry-get-or-make-entry("fake+none+nndoc+ephemeral:bug#37321+1")
  gnus-registry-get-id-key("fake+none+nndoc+ephemeral:bug#37321+1" group)
  gnus-registry-register-message-ids()
  run-hooks(gnus-summary-prepare-hook)
  apply(run-hooks gnus-summary-prepare-hook)
  gnus-run-hooks(gnus-summary-prepare-hook)
  gnus-summary-prepare()
  gnus-summary-read-group-1("nndoc+ephemeral:bug#37321" t t nil nil nil)
  gnus-summary-read-group("nndoc+ephemeral:bug#37321" t t nil nil nil nil)
  gnus-group-read-group(t t "nndoc+ephemeral:bug#37321" nil)
  gnus-group-read-ephemeral-group("nndoc+ephemeral:bug#37321" (nndoc "/tmp/=
gnus-temp-group-s69vaM" (nndoc-article-type mbox)) nil (#<buffer *"gc-cons-=
percentage" Bugs*> . #<window-configuration>))
  gnus-read-ephemeral-bug-group((37321) "https://debbugs.gnu.org/cgi/bugrep=
ort.cgi?bug=3D%s;m..." (#<buffer *"gc-cons-percentage" Bugs*> . #<window-co=
nfiguration>))
  gnus-read-ephemeral-emacs-bug-group((37321) (#<buffer *"gc-cons-percentag=
e" Bugs*> . #<window-configuration>))
  debbugs-read-emacs-bug-with-gnus(37321 ((cache_time . 1569404174.2957919)=
 (last_modified . 1569046862) (fixed_date) (date . 1567777982) (source . "u=
nknown") (found_versions "27.0.50") (log_modified . 1569046862) (archived) =
(affects) (bug_num . 37321) (fixed_versions) (pending . "done") (fixed) (ms=
gid . "<87lfv1pm5x.fsf@HIDDEN>") (blocks) (subject . "27.0.50; Excessive gc=
 in a use case (el-search)") (location . "db-h") (done . "Paul Eggert <egge=
rt@HIDDEN>") (tags) (mergedwith) (found (item (key . "27.0.50") (value=
))) (package "emacs") (severity . "normal") (unarchived) (originator . "Mic=
hael Heerdegen <michael_heerdegen@HIDDEN>") (blockedby) (found_date) (id . =
37321) (summary) (owner) (keywords) (forwarded)) nil)
  debbugs-gnu-select-report()
  funcall-interactively(debbugs-gnu-select-report)
  call-interactively(debbugs-gnu-select-report nil nil)
  command-execute(debbugs-gnu-select-report)


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 22 Sep 2019 08:03:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 22 04:03:10 2019
Received: from localhost ([127.0.0.1]:33376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBwpq-0001re-8B
	for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 04:03:10 -0400
Received: from mout.gmx.net ([212.227.15.15]:46433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iBwpo-0001rO-D4
 for 36903 <at> debbugs.gnu.org; Sun, 22 Sep 2019 04:03:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569139370;
 bh=UL3H5/sZOakpjrdQkxVrmfyyDcU/mBR5MemPJtt98aU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=UAEMH+gtqHScm+F2RYQqS1IiUyqKqqG4JqoQjPbTX3+z0zTf9Ui/pkiGyRmeZ+axq
 1xQBx5Ek4IQTAaLSrKoNVSj6tzdlPSZpwDuYs6nGHVqi6qj+XXkifEolznmOkH0ZLG
 qBAmzoX0N6ve3PuwZMFAFufV3ZFDYkF2qkSl6sRc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([213.220.156.17]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N9dwd-1i6Mpz0pD3-015aqu; Sun, 22
 Sep 2019 10:02:50 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkpq0az.fsf@HIDDEN>
 <87ef21wzrm.fsf@HIDDEN> <87r261pwi6.fsf@HIDDEN>
 <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
 <87v9tl9hvo.fsf@HIDDEN>
Date: Sun, 22 Sep 2019 10:02:47 +0200
In-Reply-To: <87v9tl9hvo.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 21 Sep 2019 19:36:43 -0700")
Message-ID: <874l14oj14.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:HMLqxaVvhvJ3osMOFgb2u1ycqe6secab+lgP6O/k3kEFU80XUy/
 gNlfDRjo/hp1zDycAwyPIT3ChrlN4GpYRKKDSjSIY3UM85Q9J3//Xv661cF1UO9MRTnLl52
 oEV+adoG/uztcmZLu/POmZtHg3qg+7FbFfNG+88PO2Pdtk4KhmeJel2lDwNWRBPJuhi4y3W
 1rC4Y6GPEld0tYwd/KAiw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:aMDpL1I8Yw0=:YdY4vhC/5P4WoJ+7X/Kser
 5/ZcXbWw1p53KNaZHTdMpb05Rc8s1sMf25UknQMzNzGkglzmihHi3I25w7CNveffgAHXqmI2E
 nQzmsINd42b76hszEx9NIEQi2f8cxA93m3I5QqryHtb+VNAzvZO+zqzPIK6BKQWFf6EnXaS/j
 +ouEYV53CbGNyrXx9TDp7mRUqWnW3e3jmQuUkA2+T022uTC5km84sfr1gWt6n61ze06r9iL2g
 R/6Z+H5AmFwH548IswHiAALxRJviyRDYjS2mg7LdRkjEMs0AwLowvi3euyLYf+6p8yYndzjxz
 6PmAypDxOseKY3Lu6/i75jUncHsIS66buYDA40hLajHhkvPbsGNidjLU7jc7N26rTcIQBLqCl
 RYhu6OIsjoFMQmOzv4wtq4AyMbTxni4PCEovc/jEJvajY+06np6daeSCozgxdjdJ/o0PzIJe5
 HEBPkUGHeRknSEsKyqXrvw0LKDvOSFkOwnoF9e9tN7YDx5MotDEtMhm6RpIexKU4eOF9H8c/2
 sigLEU7JsBt6J/tQfDgTEViwNnPKaewhSLgfIyq5vADhGrb/RB4jyP2JFl4ujcyZb555KRUU9
 V0UibMwMqrjYq8njGJpyc47oHFxJ59tmBN3gQPksevBEyFAIdEqmGBzDyQQOEa3AWSRMXoZKl
 5jfOFFdlY4aETLeH1pkpkkNbVKwNswtrB5mhunJNzLGHXgBGS2TYaSouBajK2927aaO6AGSbD
 da5XiTZnmOGA730ImLlSStDdilQr3k8zpRKKgwfM7qLPw8Kdl1im7BdBc99dyg7RKZNrlScr3
 EgYSJXbM+u03gbk2c4h5VoS1mzQUxy6vOOrYOL51h+1KXOvxWj83dR+f9QrzAEuTUq4SJKzu7
 UXpclFZexTloTHT3TE7+VBjW3qNd9isft/kL3ZRcW35sRkkuiQ06xwhsNyJMqeO0o4+CVscWl
 yC+nIS1NNUEMrP4iLRaaDBQTpONPjTvKbhh37ODZ4fAPlmn1OVcSAAaBE9ESvAWeTDzaFQibq
 RDWW8KyMgkOhZrpcNi7ZHjufrt1m4/NmrkWGGI1JqlXDVr3LOA1f0uuoN2OW3wym7fUz+p11i
 8BbnSUe6EVnQfeIoGfveIf6el7VXb+UTgAMKc4YtN/+kW88k11FM70IOe7pT0M6XshG/LPT/e
 LnBBIp2rMekTPCAyOhtaTUn5ecoanX4FusYijGyk537y+F0FdPDkuWvAG3wkLw8tfVT/EDurZ
 WNIQRZmXskpvoPCsoHHEE1frf8GL/JIAtef9lC1zxASMsDJrJuxIOW3N50vg=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Eric Abrahamsen <eric@HIDDEN> writes:
>>
>>> Yeah, I was too hasty with this whole thing. The backtrace you posted
>>> seems to be unrelated to the registry issue I was trying to fix (at
>>> least, I can't immediately see how it could arise from that),
>>
>> FWIW, your fix works for me.
>>
>>> but I'll see if I can reproduce.
>>
>> I can't, but I can if I do
>>
>> (with-eval-after-load 'gnus
>>   (add-hook 'gnus-select-group-hook #'gnus-group-set-timestamp))

Confirmed. I've bisected my ~/.gnus, and when I comment out the
following line, everything works as expected:

(add-hook 'gnus-select-group-hook 'gnus-group-set-timestamp)

> Okay, this is a completely different bug, coincidentally also caused by
> changes I put in! The end of `gnus-group-set-info' tries to manipulate
> `gnus-newsrc-alist', which is nil in the case of debbugs-gnu.
>
> This all resulted from me trying to turn groups into objects, instead of
> lists. If they were objects, we could edit them without having to worry
> about breaking references to them. I can wrap this chunk of code in a
> test to see if `gnus-newsrc-alist' is a list, but... I just wish groups
> could be objects.

Take your time, therte's no rush. I've learned how to mitigate the
problem in my setup.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 22 Sep 2019 02:36:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 21 22:36:58 2019
Received: from localhost ([127.0.0.1]:33348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBrkA-00013t-IM
	for submit <at> debbugs.gnu.org; Sat, 21 Sep 2019 22:36:58 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:54102
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iBrk8-00013f-LF
 for 36903 <at> debbugs.gnu.org; Sat, 21 Sep 2019 22:36:57 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 9D46FFA025;
 Sun, 22 Sep 2019 02:36:49 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN> <87r249jg44.fsf@HIDDEN>
Date: Sat, 21 Sep 2019 19:36:43 -0700
In-Reply-To: <87r249jg44.fsf@HIDDEN> (Michael Heerdegen's message of "Sun, 22
 Sep 2019 03:04:43 +0200")
Message-ID: <87v9tl9hvo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Yeah, I was too hasty with this whole thing. The backtrace you posted
>> seems to be unrelated to the registry issue I was trying to fix (at
>> least, I can't immediately see how it could arise from that),
>
> FWIW, your fix works for me.
>
>> but I'll see if I can reproduce.
>
> I can't, but I can if I do
>
> (with-eval-after-load 'gnus
>   (add-hook 'gnus-select-group-hook #'gnus-group-set-timestamp))

Okay, this is a completely different bug, coincidentally also caused by
changes I put in! The end of `gnus-group-set-info' tries to manipulate
`gnus-newsrc-alist', which is nil in the case of debbugs-gnu.

This all resulted from me trying to turn groups into objects, instead of
lists. If they were objects, we could edit them without having to worry
about breaking references to them. I can wrap this chunk of code in a
test to see if `gnus-newsrc-alist' is a list, but... I just wish groups
could be objects.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 22 Sep 2019 01:05:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 21 21:05:07 2019
Received: from localhost ([127.0.0.1]:33327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBqJG-0001Dp-TH
	for submit <at> debbugs.gnu.org; Sat, 21 Sep 2019 21:05:07 -0400
Received: from mout.web.de ([212.227.15.14]:52223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iBqJE-0001CU-7W
 for 36903 <at> debbugs.gnu.org; Sat, 21 Sep 2019 21:05:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1569114283;
 bh=EMAr6IJd6ukA8exsKsIWmf1Z6kwB0jHqzYa9TSByLAQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Tb62xQ20YWUhBiQcyQGMc7aocpZzCZuO9Di37PFPOa3gew2AYu4EOnmBzmkmG0KIs
 sDx29d34NrvG8eoVqhGW0Lb7vnSqNCwAx5Jc47dw5gYwNlHraacv2L8gUOdCq/6x8f
 QvZWDleh7+gKodMhLivv/YuPFK+Xm+5fPB0IoNeo=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.216.136.59]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MbhSP-1iSYNK21gb-00J0hC; Sun, 22
 Sep 2019 03:04:43 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
 <87tv95bakx.fsf@HIDDEN>
Date: Sun, 22 Sep 2019 03:04:43 +0200
In-Reply-To: <87tv95bakx.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 21 Sep 2019 14:31:26 -0700")
Message-ID: <87r249jg44.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:bnOz2hJpHNgdgQeAde0wpm0FXKAP6nKlOYdvcdjjvrcvj3tcbo5
 ggenCOH5HITb5LPw89pKoYKhsH4UgZnBCTYDOuKcDgstSXF+2ySjCLzW2XGURLK4GnLbsMh
 uJ81AY8IUV3RFTMr9ObXM/l/dosnQSSXS8GTBUx5QJB/RU+u4FMlRRfWCqqVtrsJZ9KKtWZ
 zb6g9Fd95DzdgLmv7vf4Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8NayZmAYxBA=:i3Qir28ec3rt56O4JnnKip
 ohbkz4tTMriPQEKIAVPMDA6lZwWBkfLB1XA6w2yiznVfDr6a0nZqEkUcP9szT3spoesTsUmHH
 nFUMhPy4mGzwbY3MQazP17H3cz2w92ZWmR3LzQ9VEtrQ14Q8cfH4dRcD3/guOir62P8D7TqOh
 Ni6Yf8L+E97FD3eeW8ucmzbcdjAKcre4WjKmQrtHi6sVQJK7lvc30QmrH8sfZiJdUNWr8ECTJ
 8yFTu4Ro7b3+iCtg7BpOJV0ZhyOFpXz/gcaprtpjc61o/SFZ/OZA1aabG1VWacm0YaYEzUMrh
 CWrrVoV7y/qBFyXoLyDxTSfhQjzGxd/exZGdGx1iOP7N9x7zxtcxUnLOIKpIfLAUhYxXMDPN0
 ZdwzcIu2FmNsjwUBBWTxuAyRQYevJU4bXnmcOtBbXWV9L90IbG/Te3X7MoXBFiHj9BlUS0zc6
 17GzfygwghjHDQowCzEuEVi0+XKhHlcPeCS6i0WBU0/I8PWG0HxkkqtFz7yo379VMaWmbKSDO
 s22tHf5oWI+UuEQK5exubpCBVgjHNEg5OwHMKxTugYumCeNpu3+42RrmdU6X2c2HB5HGYlV+G
 3R13/jaqtBrPmaDRmOuP1UJVQocqpmFyHazSbErbw8t6KgeyLsjramr66xYSNdoIEP7r28K0E
 GF0zfW7PBJWy6fpSUkiBLnKbo6BCEWm91gqV1NR3XdfFa9jXFuRHpA36SxAAomFJB60Bm++Lf
 KYQshf6/pYlvNkCvI21EWk8FPUcpH03eL8Jrv4e2g/yJVdGnvW9Xgz2DlrPHnNPj9TZBEhRrq
 uSUXZoJlffnC5f9GcgC4zBVBsWiOHLFHOYlwzOy2wSERWX8fCuLjG8sqhtoaoqFkJ6FVmOtVY
 Ct/JVUR13kCuH52J+wNjooVWytvGRBzlwqPikfafQlOh5jx9qsTbPQ0HC27N5yDwGLoN8ZzF7
 0lbWOtCxsWbzIE5RXrW5QaMGhJij/GewoRn2pp0unhefmlPRnKzh786FPwxtfHnyfrezEVCEd
 raSWqE2p/OBRHgGHdj5QRTZJe4k9YE4JWzyQvF9MdR9Zrgw5TGKOgqAOgz2Apms/izIv3HkLO
 NDrfaOiEs283vGlX3REJc8BLm0ZDbZ0oK3gIjnq1+8zFSPVCQOHWPx2+czz5IlS57pJ8rYWSQ
 XpQaIFZNZRwrMJY/IjxwZXU/obp2NlXDNkvX9UNbAoJ27QLx2eisRfeS2D/kQOHfjPYXDOzlN
 v9cTXe3EmTxIbg1gUjwHzUV5XTsyFHfSV+HuMoyV0lmqpHW2B5HCyUopL0W8=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Yeah, I was too hasty with this whole thing. The backtrace you posted
> seems to be unrelated to the registry issue I was trying to fix (at
> least, I can't immediately see how it could arise from that),

FWIW, your fix works for me.

> but I'll see if I can reproduce.

I can't, but I can if I do

(with-eval-after-load 'gnus
  (add-hook 'gnus-select-group-hook #'gnus-group-set-timestamp))

(the function doc suggests that you can do that, but it's not done by
default)


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 21 Sep 2019 21:31:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 21 17:31:40 2019
Received: from localhost ([127.0.0.1]:33268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBmyi-00013D-3N
	for submit <at> debbugs.gnu.org; Sat, 21 Sep 2019 17:31:40 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:48480
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iBmyd-00012n-Fs
 for 36903 <at> debbugs.gnu.org; Sat, 21 Sep 2019 17:31:35 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id D39FBFA09C;
 Sat, 21 Sep 2019 21:31:27 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN> <87impmnisz.fsf@HIDDEN>
Date: Sat, 21 Sep 2019 14:31:26 -0700
In-Reply-To: <87impmnisz.fsf@HIDDEN> (Michael Albinus's message of "Sat, 21
 Sep 2019 10:40:44 +0200")
Message-ID: <87tv95bakx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org, michael_heerdegen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
> Hi,
>
>>> Okay, I'll make that change in gnus-registry.el, and elsewhere. I'll
>>> keep that design goal in mind, though I wouldn't be surprised if we run
>>> into more weirdness in this situation where the user's gnus.el has been
>>> loaded, but then Gnus itself shut down.
>>
>> Okay, that's done and pushed.
>
> FWIW, I still get an error running the scenario Michael H. has
> given. Emacs compiled after a recent pull. The backtrace is

Yeah, I was too hasty with this whole thing. The backtrace you posted
seems to be unrelated to the registry issue I was trying to fix (at
least, I can't immediately see how it could arise from that), but I'll
see if I can reproduce. Unfortunately different users are likely to run
into different problems, because their gnus.el files will contain
different customizations.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 21 Sep 2019 08:46:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 21 04:46:20 2019
Received: from localhost ([127.0.0.1]:59084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBb24-0001rj-5d
	for submit <at> debbugs.gnu.org; Sat, 21 Sep 2019 04:46:20 -0400
Received: from mout.gmx.net ([212.227.17.20]:56953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iBb1z-0001rT-PJ
 for 36903 <at> debbugs.gnu.org; Sat, 21 Sep 2019 04:46:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569055565;
 bh=nHcmaQ+VC2KzLGv4EPI5JgV2XfMG5YkzdZxjranE0tg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=b2mxeE1hPkH+dGzuPkVDhCAhDc7fMOCstGe6kb2KlxbMCoU00AA6CVNUpc04lTESW
 qSyJmkECvof4uUgtTn6cB9yx4HiRCsLKE8ppiIMPFek2W+2MyobXcyiPcvq1ZUWby8
 LbXuKa69U2oyh+ifBTurZ3robzc3UcvAzeDRWDRc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.38.214]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1M1po0-1iDnrq47fU-002F8v; Sat, 21
 Sep 2019 10:40:47 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: 36903 <at> debbugs.gnu.org
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
 <87h858nq1v.fsf@HIDDEN>
Date: Sat, 21 Sep 2019 10:40:44 +0200
In-Reply-To: <87h858nq1v.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 19 Sep 2019 10:39:40 -0700")
Message-ID: <87impmnisz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ZmwLRT1yDLGFOGYEwFH7j39mg0fpSlcqumiUeuXR90r1TlAMNKo
 RahO2b7AmEAOcx422rXW/rMvIPqvgPKRVNr/0Y5J9ArQzOpGdvI7Wb3VSI8d//E5jHHvwcr
 F4Hrvj2fOjQMjoI3J4zPVyNpwrFOE+zGjDp2fFroVdYb5TT5FyUf1FdbZ7VP0HPi6IFkYU1
 1sxjZNgeCjSxrHQc6dbDQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9xlcuIZrMPs=:zD1ph31fSfP1SwD9NIkZ3s
 DPfoP/pS9/ZeN7NliFlnY08/qxs8xASEHZHoS4Ihhz0FuMhRTnf9IaD6noO9kFheHKmCJFXlx
 0VQ4SiUGo+J0SuT34yRemUG9hGcgdPaOCDCaaO5q+yvhMU+NUkNZA/DqRgPNjxYQ+s3xs/y1W
 nD1pXS0Zd2cFs/sbT+kkqEA/znngI+S8i5XsNddJkzVSqF6WAn5+QjceYR8CzVsbpKK86Escd
 rymyVqgI4wsaNXx01qyEgjfpfhKBwr8g10LIh49KkFzp5okYviNXewcKhO+BxjifSax4TMB+e
 SJlGcU/UCQFhWUnPrcSgkoeU93rC2LWKPg7fmLCPV+KuC89K6Tav5xLvsKxvEqVj1qgs8LvJw
 LURRq/Nm0JhVV2SLqRTw10JXCvot/MkK30L5f4zJmA28kDjnsCb0wRQ6gY2Sp2BbPWO6l5Y6a
 ZflcooxWI3aYSBkj3oyBK6S/VSc1HoPGylyhtU9VP3PD9Dp38K5dUHR5P3uyPt9zSAEXz7pGd
 HIoA9VL3ZVGZmt6+eCVBZCoIoIKKqqUp6bWRB+kznVt3q+/EGe4f9h9ozfvFpCbSLI0j3WjLL
 dEeHvs8OTU1nELxDJW7MK+yXAs8f8YM4pQlpSLR/Y0SOrhSXpTwgaw4XZ50rzQoNaG2MsuHR5
 TQcsRGkRNAfjdM4Dune/WoU8llV8pT3AB0MSrVj5gQQRgAXSFxMnvAzG4a9aWKRYsnkRqw5q7
 tfuIXoxLWYcSB9pCyO9QrNizoxLWh+ccWo1xqYoBN/x6a2pZs1omTLg3IiHVeZZlxcSuOPneY
 hX9AhHQmB/0D7wjLbbR3u8kbSVuyonFiGJAwj9PhS0dTGx1QKOjqFbunswYBjKnPxSBMX3COw
 4EIVSnHsulZItSlYl7oSc04qTaDmvif1UVvx9joCV2wZVUiijm58BVwt9vj2plwp5/DX3Tcf3
 y668Rk2crgZQiEzeY7EKs1i4EY9ESqK2m3/Rj7V8dV6a+BKoAaNHwt3m92WgQffE3BwsiXOfv
 sWK4dlxSVEKa9JfE1PkN4rcWYiuGVfieRbyaH4XpK3NnBK9oJ67bHaZmsMTHMRHPpNGC9yIBU
 lBZAtchkclD+7nfSd4+6N9l5rv0SHhO0oaOE5oqQOCyQ3KzW3C1LiFbJm4onSn2LzhpuHwMme
 64zk2sE3wsLCkJOOqKWtfQa2CdTEj3GepNIclwJ5tTdwZTFUwu0y7p5F5XLZjlruX+SwI9d0w
 U13JeLojBVc1Xw7vikWehlMPAYrOkLd+t441OFLpPo8N0ZcJ+aOqJI45Q5rI=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36903
Cc: eric@HIDDEN, michael_heerdegen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

Hi,

>> Okay, I'll make that change in gnus-registry.el, and elsewhere. I'll
>> keep that design goal in mind, though I wouldn't be surprised if we run
>> into more weirdness in this situation where the user's gnus.el has been
>> loaded, but then Gnus itself shut down.
>
> Okay, that's done and pushed.

FWIW, I still get an error running the scenario Michael H. has
given. Emacs compiled after a recent pull. The backtrace is

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (wrong-type-argument consp nil)
  gnus-group-set-info(((timestamp . 1569055022) (quit-config #<buffer *Bugs*> . #<window-configuration>)) "nndoc+ephemeral:bug#37474" params)
  gnus-group-set-parameter("nndoc+ephemeral:bug#37474" timestamp 1569055022)
  gnus-group-set-timestamp()
  run-hooks(gnus-select-group-hook)
  apply(run-hooks gnus-select-group-hook)
  gnus-run-hooks(gnus-select-group-hook)
  gnus-summary-read-group-1("nndoc+ephemeral:bug#37474" t t nil nil nil)
  gnus-summary-read-group("nndoc+ephemeral:bug#37474" t t nil nil nil nil)
  gnus-group-read-group(t t "nndoc+ephemeral:bug#37474" nil)
  gnus-group-read-ephemeral-group("nndoc+ephemeral:bug#37474" (nndoc "/tmp/gnus-temp-group-jz0Jgo" (nndoc-article-type mbox)) nil (#<buffer *Bugs*> . #<window-configuration>))
  gnus-read-ephemeral-bug-group((37474) "https://debbugs.gnu.org/cgi/bugreport.cgi?bug=%s;m..." (#<buffer *Bugs*> . #<window-configuration>))
  gnus-read-ephemeral-emacs-bug-group((37474) (#<buffer *Bugs*> . #<window-configuration>))
  debbugs-read-emacs-bug-with-gnus(37474 ((cache_time . 1569055009.0235832) (forwarded) (date . 1569052622) (msgid . "<87k1a2ozfn.fsf@HIDDEN>") (pending . "pending") (keywords "patch") (blockedby) (source . "unknown") (tags "patch") (location . "db-h") (severity . "normal") (subject . "[PATCH] gnu: libomp: Fix test target.") (archived) (done) (found_versions) (affects) (mergedwith) (last_modified . 1569052622) (found) (package "guix-patches") (unarchived) (originator . "\"Boris A. Dekshteyn\" <boris.dekshteyn@HIDDEN>") (fixed_date) (owner) (blocks) (fixed_versions) (log_modified . 1569052622) (bug_num . 37474) (id . 37474) (summary) (fixed) (found_date)) nil)
  debbugs-gnu-select-report()
  funcall-interactively(debbugs-gnu-select-report)
  call-interactively(debbugs-gnu-select-report nil nil)
  command-execute(debbugs-gnu-select-report)
--8<---------------cut here---------------end--------------->8---

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903-done <at> debbugs.gnu.org:


Received: (at 36903-done) by debbugs.gnu.org; 19 Sep 2019 17:39:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 13:39:51 2019
Received: from localhost ([127.0.0.1]:56384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iB0PG-0004py-WC
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 13:39:51 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:37158
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iB0PE-0004pc-EB
 for 36903-done <at> debbugs.gnu.org; Thu, 19 Sep 2019 13:39:50 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 3379EFA081
 for <36903-done <at> debbugs.gnu.org>; Thu, 19 Sep 2019 17:39:42 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: 36903-done <at> debbugs.gnu.org
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
 <87ef0feuke.fsf@HIDDEN>
Date: Thu, 19 Sep 2019 10:39:40 -0700
In-Reply-To: <87ef0feuke.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 17 Sep 2019 06:37:53 +0800")
Message-ID: <87h858nq1v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Eric Abrahamsen <eric@HIDDEN> writes:
>>
>>> I can do that for in-tree code, and my own packages, but who knows what
>>> else is out there that might try something similar.
>>
>> Well, we can't control out-of-tree code, but Gnus should (in general) be
>> able to generate a summary buffer without Gnus having been started -- I
>> mean, that's a design goal.
>
> Okay, I'll make that change in gnus-registry.el, and elsewhere. I'll
> keep that design goal in mind, though I wouldn't be surprised if we run
> into more weirdness in this situation where the user's gnus.el has been
> loaded, but then Gnus itself shut down.

Okay, that's done and pushed.




Notification sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eric Abrahamsen <eric@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Sep 2019 22:38:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 18:38:10 2019
Received: from localhost ([127.0.0.1]:51288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9zdK-0001kq-6s
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 18:38:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:57820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1i9zdF-0001kg-UJ
 for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 18:38:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44048)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1i9zdE-0002BX-Gp
 for bug-gnu-emacs@HIDDEN; Mon, 16 Sep 2019 18:38:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.2 required=5.0 tests=BAYES_50,KHOP_HELO_FCRDNS,
 RDNS_DYNAMIC,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1i9zdD-0003H4-CV
 for bug-gnu-emacs@HIDDEN; Mon, 16 Sep 2019 18:38:04 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:52052
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1i9zdD-0003GQ-5p
 for bug-gnu-emacs@HIDDEN; Mon, 16 Sep 2019 18:38:03 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1i9zd9-000zaL-IC
 for bug-gnu-emacs@HIDDEN; Tue, 17 Sep 2019 00:37:59 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
Date: Tue, 17 Sep 2019 06:37:53 +0800
Message-ID: <87ef0feuke.fsf@HIDDEN>
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN> <87muf4tlve.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:KgJCgw/BcPa7LxWnWccgrzcw7W0=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> I can do that for in-tree code, and my own packages, but who knows what
>> else is out there that might try something similar.
>
> Well, we can't control out-of-tree code, but Gnus should (in general) be
> able to generate a summary buffer without Gnus having been started -- I
> mean, that's a design goal.

Okay, I'll make that change in gnus-registry.el, and elsewhere. I'll
keep that design goal in mind, though I wouldn't be surprised if we run
into more weirdness in this situation where the user's gnus.el has been
loaded, but then Gnus itself shut down.

>> But it's probably a better solution than anything else I can think of.
>> I'd be inclined to just have them return an empty string. Another
>> possibility would be to have the formatting code wrap the user-function
>> funcall in `ignore-errors' and return an empty string there.
>
> That doesn't sound very friendly when trying to debug errors...

No, you're right, I was just throwing out ideas.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 16 Sep 2019 13:24:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 09:24:27 2019
Received: from localhost ([127.0.0.1]:49425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9qzS-0003GZ-JU
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 09:24:27 -0400
Received: from quimby.gnus.org ([80.91.231.51]:58606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i9qzR-0003GR-00
 for 36903 <at> debbugs.gnu.org; Mon, 16 Sep 2019 09:24:25 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i9qzN-0000y8-P1; Mon, 16 Sep 2019 15:24:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
 <87sgoxf86i.fsf@HIDDEN>
Date: Mon, 16 Sep 2019 15:24:21 +0200
In-Reply-To: <87sgoxf86i.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Mon, 16 Sep 2019 07:31:33 +0800")
Message-ID: <87muf4tlve.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eric Abrahamsen <eric@HIDDEN> writes: > I can
 do that for in-tree code, and my own packages, but who knows what > else is
 out there that might try something similar. Well, we can't control out-of-tree
 code, but Gnus should (in general) be able to generate a summary buffer without
 Gnus having been started -- I mean, that's a design goal. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> I can do that for in-tree code, and my own packages, but who knows what
> else is out there that might try something similar.

Well, we can't control out-of-tree code, but Gnus should (in general) be
able to generate a summary buffer without Gnus having been started -- I
mean, that's a design goal.

> But it's probably a better solution than anything else I can think of.
> I'd be inclined to just have them return an empty string. Another
> possibility would be to have the formatting code wrap the user-function
> funcall in `ignore-errors' and return an empty string there.

That doesn't sound very friendly when trying to debug errors...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 15 Sep 2019 23:31:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 19:31:49 2019
Received: from localhost ([127.0.0.1]:48891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9dzh-0001CE-I4
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2019 19:31:49 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:36792
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1i9dze-0001Br-Q5
 for 36903 <at> debbugs.gnu.org; Sun, 15 Sep 2019 19:31:47 -0400
Received: from localhost (unknown [36.102.228.103])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 19DE5FA028;
 Sun, 15 Sep 2019 23:31:39 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN> <87h85dycnh.fsf@HIDDEN>
Date: Mon, 16 Sep 2019 07:31:33 +0800
In-Reply-To: <87h85dycnh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 15 Sep 2019 14:20:02 +0200")
Message-ID: <87sgoxf86i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> The conclusion is I don't know what to do. Users who have customized
>> `gnus-summary-line-format' to draw info from the registry will see an
>> error if they start Gnus, stop Gnus, then start debbugs-gnu. That's
>> because stopping Gnus clears the registry, but starting debbugs-gnu
>> doesn't re-load it (because it doesn't load the users gnus.el file), and
>> the summary line format continues trying to access the registry object.
>
> Can't you just make the erroring-out functions return "" or something if
> they're called before the registry is loaded?  Or make them initialise
> the registry if called when it's not loaded?

I can do that for in-tree code, and my own packages, but who knows what
else is out there that might try something similar.

But it's probably a better solution than anything else I can think of.
I'd be inclined to just have them return an empty string. Another
possibility would be to have the formatting code wrap the user-function
funcall in `ignore-errors' and return an empty string there.

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 15 Sep 2019 12:20:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 08:20:08 2019
Received: from localhost ([127.0.0.1]:47449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9TVg-0001IC-6u
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2019 08:20:08 -0400
Received: from quimby.gnus.org ([80.91.231.51]:60520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i9TVe-0001I4-HG
 for 36903 <at> debbugs.gnu.org; Sun, 15 Sep 2019 08:20:07 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i9TVb-000897-5j; Sun, 15 Sep 2019 14:20:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
 <87v9tuh08w.fsf@HIDDEN>
Date: Sun, 15 Sep 2019 14:20:02 +0200
In-Reply-To: <87v9tuh08w.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sun, 15 Sep 2019 08:27:43 +0800")
Message-ID: <87h85dycnh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: > The
 conclusion
 is I don't know what to do. Users who have customized >
 `gnus-summary-line-format'
 to draw info from the registry will see an > error if they start Gnus, stop
 Gnus, then start debbugs [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> The conclusion is I don't know what to do. Users who have customized
> `gnus-summary-line-format' to draw info from the registry will see an
> error if they start Gnus, stop Gnus, then start debbugs-gnu. That's
> because stopping Gnus clears the registry, but starting debbugs-gnu
> doesn't re-load it (because it doesn't load the users gnus.el file), and
> the summary line format continues trying to access the registry object.

Can't you just make the erroring-out functions return "" or something if
they're called before the registry is loaded?  Or make them initialise
the registry if called when it's not loaded?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 15 Sep 2019 00:27:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 20:27:56 2019
Received: from localhost ([127.0.0.1]:47244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9IOS-0002pP-Ld
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 20:27:56 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:60578
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1i9IOQ-0002pB-QU
 for 36903 <at> debbugs.gnu.org; Sat, 14 Sep 2019 20:27:55 -0400
Received: from localhost (unknown [36.102.228.103])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 34775FA081;
 Sun, 15 Sep 2019 00:27:46 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN> <874l1e7wcq.fsf@HIDDEN>
Date: Sun, 15 Sep 2019 08:27:43 +0800
In-Reply-To: <874l1e7wcq.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 14 Sep 2019 17:04:21 +0200")
Message-ID: <87v9tuh08w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>>> I can't really imagine it being performance-related...  computing the
>>> specs take extremely little time.
>>>
>>> But it's possible, I guess.
>>
>> I'll patch locally and run it for a while.
>
> So I think we arrived at the conclusion that removing that removal
> should be safe (i.e., a noop) -- did you apply the patch?

I didn't, because it doesn't solve anything, and it seemed like a proper
fix would probably include this.

> I'm not sure how this related to the other registry stuff... What was
> the conclusion there?

The conclusion is I don't know what to do. Users who have customized
`gnus-summary-line-format' to draw info from the registry will see an
error if they start Gnus, stop Gnus, then start debbugs-gnu. That's
because stopping Gnus clears the registry, but starting debbugs-gnu
doesn't re-load it (because it doesn't load the users gnus.el file), and
the summary line format continues trying to access the registry object.

I naively tried *adding* `gnus-format-specs' to the list of variables to
clear, but of course that doesn't work because
`gnus-summary-line-format' remains customized, and `gnus-format-specs'
is simply re-built from that customized value when `debbugs-gnu' is
started.

This didn't use to be a problem because stopping Gnus used to leave the
registry hanging around. I changed that in 2815174f as part of
preventing the registry from being loaded twice at startup, and I just
think it's good practice not to leave this (potentially huge) data
structure lingering after shutdown.

I can imagine a few possible solutions, but none of them are very
appealing. debbugs-gnu seems stuck somewhere between "too Gnus" and "not
Gnus enough".

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 14 Sep 2019 15:04:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 11:04:27 2019
Received: from localhost ([127.0.0.1]:47052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i99b9-0005Y9-8L
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 11:04:27 -0400
Received: from quimby.gnus.org ([80.91.231.51]:36768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i99b7-0005Y1-89
 for 36903 <at> debbugs.gnu.org; Sat, 14 Sep 2019 11:04:25 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i99b4-0001H2-6s; Sat, 14 Sep 2019 17:04:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87o90u2yq9.fsf@HIDDEN>
Date: Sat, 14 Sep 2019 17:04:21 +0200
In-Reply-To: <87o90u2yq9.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Mon, 12 Aug 2019 08:24:30 -0700")
Message-ID: <874l1e7wcq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: >> I can't
 really imagine it being performance-related... computing the >> specs take
 extremely little time. >> >> But it's possible, I guess. > > I'll patch locally
 and run it for a while. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

>> I can't really imagine it being performance-related...  computing the
>> specs take extremely little time.
>>
>> But it's possible, I guess.
>
> I'll patch locally and run it for a while.

So I think we arrived at the conclusion that removing that removal
should be safe (i.e., a noop) -- did you apply the patch?

I'm not sure how this related to the other registry stuff...  What was
the conclusion there?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 12 Aug 2019 18:30:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 14:30:24 2019
Received: from localhost ([127.0.0.1]:47380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxF5L-00072k-Sq
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 14:30:24 -0400
Received: from quimby.gnus.org ([80.91.231.51]:47766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hxF5K-00072c-SV
 for 36903 <at> debbugs.gnu.org; Mon, 12 Aug 2019 14:30:23 -0400
Received: from 107-182-45-44.volcanocom.com ([107.182.45.44] helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hxF5G-0007iY-8R; Mon, 12 Aug 2019 20:30:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
 <87k1bi2y5t.fsf@HIDDEN>
Date: Mon, 12 Aug 2019 11:30:13 -0700
In-Reply-To: <87k1bi2y5t.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Mon, 12 Aug 2019 08:36:46 -0700")
Message-ID: <87d0haz16y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: > The
 extra-amusing
 thing is that gnus-format-specs wasn't in > gnus-variable-list to begin with!
 Heh heh. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> The extra-amusing thing is that gnus-format-specs wasn't in
> gnus-variable-list to begin with!

Heh heh.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 12 Aug 2019 15:36:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 11:36:55 2019
Received: from localhost ([127.0.0.1]:47330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxCNT-0002PY-GT
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 11:36:55 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:49232
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hxCNR-0002PM-ST
 for 36903 <at> debbugs.gnu.org; Mon, 12 Aug 2019 11:36:54 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id ED9F4FA02A;
 Mon, 12 Aug 2019 15:36:47 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
Date: Mon, 12 Aug 2019 08:36:46 -0700
In-Reply-To: <87r25rz36l.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Sun, 11 Aug 2019 16:34:58 -0700")
Message-ID: <87k1bi2y5t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)



On 08/11/19 16:34 PM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> It seems like it has to be something to do with performance, so the
>> specs aren't re-evaluated? I really don't know. What do you think about
>> taking it out?
>
> I can't really imagine it being performance-related...  computing the
> specs take extremely little time.
>
> But it's possible, I guess.

The extra-amusing thing is that gnus-format-specs wasn't in
gnus-variable-list to begin with!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 12 Aug 2019 15:24:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 11:24:42 2019
Received: from localhost ([127.0.0.1]:47321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxCBd-000277-SU
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 11:24:42 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:49002
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hxCBb-00026s-BO
 for 36903 <at> debbugs.gnu.org; Mon, 12 Aug 2019 11:24:40 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 266E3FA02A;
 Mon, 12 Aug 2019 15:24:32 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN> <87r25rz36l.fsf@HIDDEN>
Date: Mon, 12 Aug 2019 08:24:30 -0700
In-Reply-To: <87r25rz36l.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Sun, 11 Aug 2019 16:34:58 -0700")
Message-ID: <87o90u2yq9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> It seems like it has to be something to do with performance, so the
>> specs aren't re-evaluated? I really don't know. What do you think about
>> taking it out?
>
> I can't really imagine it being performance-related...  computing the
> specs take extremely little time.
>
> But it's possible, I guess.

I'll patch locally and run it for a while.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 11 Aug 2019 23:35:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 11 19:35:06 2019
Received: from localhost ([127.0.0.1]:45897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hwxMg-0000ig-7E
	for submit <at> debbugs.gnu.org; Sun, 11 Aug 2019 19:35:06 -0400
Received: from quimby.gnus.org ([80.91.231.51]:34144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hwxMe-0000iX-0v
 for 36903 <at> debbugs.gnu.org; Sun, 11 Aug 2019 19:35:04 -0400
Received: from 107-182-45-44.volcanocom.com ([107.182.45.44] helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hwxMa-0007qW-K1; Mon, 12 Aug 2019 01:35:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
 <87blx0afpv.fsf@HIDDEN>
Date: Sun, 11 Aug 2019 16:34:58 -0700
In-Reply-To: <87blx0afpv.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 07 Aug 2019 13:22:04 -0700")
Message-ID: <87r25rz36l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: > It seems
 like it has to be something to do with performance, so the > specs aren't
 re-evaluated? I really don't know. What do you think about > taking it out?
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> It seems like it has to be something to do with performance, so the
> specs aren't re-evaluated? I really don't know. What do you think about
> taking it out?

I can't really imagine it being performance-related...  computing the
specs take extremely little time.

But it's possible, I guess.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 7 Aug 2019 20:22:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 16:22:15 2019
Received: from localhost ([127.0.0.1]:39504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvSRq-00050o-W2
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 16:22:15 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:41720
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hvSRp-00050T-3W
 for 36903 <at> debbugs.gnu.org; Wed, 07 Aug 2019 16:22:13 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 3E3B6FA0A3;
 Wed,  7 Aug 2019 20:22:06 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN> <87lfw497re.fsf@HIDDEN>
Date: Wed, 07 Aug 2019 13:22:04 -0700
In-Reply-To: <87lfw497re.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Wed, 07 Aug 2019 19:59:17 +0200")
Message-ID: <87blx0afpv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Lars, `gnus-clear-system' explicitly refrains from unsetting
>> `gnus-format-specs'. So if you start and stop Gnus, then start
>> debbugs-gnu, the user's customized format specs are still in place, and
>> may end up calling functions that depend on ~/.gnus.el setup stuff, and
>> raising errors.
>>
>> Could `gnus-clear-system' also clear format specs? Obviously that
>> omission went in there for a reason, but I don't know what. Alternately,
>> could debbugs reset the specs when it starts?
>
> Hm.  I have no idea why gnus-format-specs isn't cleared.  The changelog
> says, helpfully enough:
>
>     * gnus-start.el (gnus-read-newsrc-file): Don't clear
>     gnus-format-specs.

Yup, that's where my search ended as well :)

It seems like it has to be something to do with performance, so the
specs aren't re-evaluated? I really don't know. What do you think about
taking it out?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 7 Aug 2019 17:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 13:59:23 2019
Received: from localhost ([127.0.0.1]:39331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvQDb-0004kU-He
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 13:59:23 -0400
Received: from quimby.gnus.org ([80.91.231.51]:44856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hvQDa-0004kL-0k
 for 36903 <at> debbugs.gnu.org; Wed, 07 Aug 2019 13:59:22 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hvQDV-0000Pt-GG; Wed, 07 Aug 2019 19:59:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
 <87pnllvera.fsf@HIDDEN>
Date: Wed, 07 Aug 2019 19:59:17 +0200
In-Reply-To: <87pnllvera.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 03 Aug 2019 19:35:53 -0700")
Message-ID: <87lfw497re.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eric Abrahamsen <eric@HIDDEN> writes: > Lars,
 `gnus-clear-system' explicitly refrains from unsetting > `gnus-format-specs'.
 So if you start and stop Gnus, then start > debbugs-gnu, the user's customized
 format specs are still in place, an [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Lars, `gnus-clear-system' explicitly refrains from unsetting
> `gnus-format-specs'. So if you start and stop Gnus, then start
> debbugs-gnu, the user's customized format specs are still in place, and
> may end up calling functions that depend on ~/.gnus.el setup stuff, and
> raising errors.
>
> Could `gnus-clear-system' also clear format specs? Obviously that
> omission went in there for a reason, but I don't know what. Alternately,
> could debbugs reset the specs when it starts?

Hm.  I have no idea why gnus-format-specs isn't cleared.  The changelog
says, helpfully enough:

    * gnus-start.el (gnus-read-newsrc-file): Don't clear
    gnus-format-specs.


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Aug 2019 02:36:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 22:36:10 2019
Received: from localhost ([127.0.0.1]:60296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu6NW-00032S-7U
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 22:36:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:37522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu6NV-00032L-4f
 for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 22:36:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38566)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu6NU-0007nY-2t
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 22:36:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,RDNS_DYNAMIC,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu6NS-0006tg-86
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 22:36:08 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:32886
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hu6NS-0006rg-1T
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 22:36:06 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu6NO-000dFe-Uz
 for bug-gnu-emacs@HIDDEN; Sun, 04 Aug 2019 04:36:02 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
Date: Sat, 03 Aug 2019 19:35:53 -0700
Message-ID: <87pnllvera.fsf@HIDDEN>
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN> <87tvaxvfxc.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:UFdpZB/tURUlpu12d0obFyM4OlQ=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
Cc: Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Eric Abrahamsen <eric@HIDDEN> writes:
>>
>>> Okay, so `gnus-registry-clear' should probably also run
>>> `gnus-registry-unload-hook'. You're not expecting the registry to be
>>> doing it's thing when you've shut down Gnus, but are using debbugs,
>>> right?
>>
>> Yes.
>>
>> But I didn't say that I would not expect the registry to work with
>> debbugs.  It would be good if it did - but I don't know if it's
>> technically possible.
>
> Sounds like debbugs is either too Gnus, or not Gnus enough...
>
>>> Would you try this definition:
>>>
>>> (defun gnus-registry-clear ()
>>>   "Clear the registry."
>>>   (setq gnus-registry-db nil)
>>>   (gnus-registry-unload-hook))
>>
>> Well, that fixes - only one error.  I still get an error from
>>
>>   (defalias 'gnus-user-format-function-M
>>   'gnus-registry-article-marks-to-chars)
>
> But this should have raised an error even if you hadn't started Gnus
> prior to using debbugs, right?

Oh I see, I set both pieces of the puzzle next to each other, but didn't
connect them. If you didn't start Gnus first, your format specs were
still the default and didn't contain any registry-specific stuff.

Lars, `gnus-clear-system' explicitly refrains from unsetting
`gnus-format-specs'. So if you start and stop Gnus, then start
debbugs-gnu, the user's customized format specs are still in place, and
may end up calling functions that depend on ~/.gnus.el setup stuff, and
raising errors.

Could `gnus-clear-system' also clear format specs? Obviously that
omission went in there for a reason, but I don't know what. Alternately,
could debbugs reset the specs when it starts?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Aug 2019 02:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 22:10:56 2019
Received: from localhost ([127.0.0.1]:60271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu5z6-0002OG-1c
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 22:10:56 -0400
Received: from lists.gnu.org ([209.51.188.17]:35845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu5z4-0002O8-TM
 for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 22:10:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35306)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu5z3-0005F4-Uy
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 22:10:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,RDNS_DYNAMIC,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu5z2-0007Dr-Un
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 22:10:53 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:50326
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hu5z2-0007DX-OO
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 22:10:52 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu5yy-000Edk-U3
 for bug-gnu-emacs@HIDDEN; Sun, 04 Aug 2019 04:10:48 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
Date: Sat, 03 Aug 2019 19:10:39 -0700
Message-ID: <87tvaxvfxc.fsf@HIDDEN>
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87r261pwi6.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:I35FVqhEk8XM2A6Ie0YXkWRQV3g=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Okay, so `gnus-registry-clear' should probably also run
>> `gnus-registry-unload-hook'. You're not expecting the registry to be
>> doing it's thing when you've shut down Gnus, but are using debbugs,
>> right?
>
> Yes.
>
> But I didn't say that I would not expect the registry to work with
> debbugs.  It would be good if it did - but I don't know if it's
> technically possible.

Sounds like debbugs is either too Gnus, or not Gnus enough...

>> Would you try this definition:
>>
>> (defun gnus-registry-clear ()
>>   "Clear the registry."
>>   (setq gnus-registry-db nil)
>>   (gnus-registry-unload-hook))
>
> Well, that fixes - only one error.  I still get an error from
>
>   (defalias 'gnus-user-format-function-M
>   'gnus-registry-article-marks-to-chars)

But this should have raised an error even if you hadn't started Gnus
prior to using debbugs, right?

> so I have to redefine that one, too. And even after doing this I get an
> error related to Gnorb:

I suppose the Gnorb stuff can check if the registry is initialized
before accessing it, but it all just seems a bit fragile. Debbugs has
its own summary minor mode, it seems like that could check
`gnus-alive-p' and maybe blank out some hooks if it isn't. If Gnus isn't
alive, the user's gnus.el file isn't in effect, so nearly all
customizations are inactive. Weirdly, `gnus-clear-system' makes a point
of *not* clearing `gnus-format-specs', which is what is giving you
trouble here.

Otherwise, I could try to solve the registry double-loading problem some
other way, and not clear the registry on Gnus shutdown. But it seems
like bad practice to have debbugs depend on Gnus not cleaning up after
itself.

Can't think of anything else at the moment...

Eric





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Aug 2019 01:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 21:42:08 2019
Received: from localhost ([127.0.0.1]:60246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu5XE-0001iy-AH
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 21:42:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:57410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu5XC-0001iq-PM
 for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 21:42:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59936)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu5XB-0001qw-P5
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 21:42:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.5 required=5.0 tests=BAYES_05,RDNS_DYNAMIC,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu5XA-000600-PY
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 21:42:05 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:57728
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hu5XA-0005ye-JI
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 21:42:04 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu5X8-000ubS-Ji
 for bug-gnu-emacs@HIDDEN; Sun, 04 Aug 2019 03:42:02 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
Date: Sat, 03 Aug 2019 18:41:54 -0700
Message-ID: <87zhkpvh99.fsf@HIDDEN>
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87a7cpwz9i.fsf@HIDDEN> <87h86xsqst.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:U0C1OZDUqWwlVUWBcq/HTyngM8A=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Noam Postavsky <npostavs@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>>> Huh, right after the definition of `gnus-registry-unload-hook' is this
>>> line:
>>>
>>> (add-hook 'gnus-registry-unload-hook 'gnus-registry-unload-hook)
>>
>> Added by RMS in 2004! Still don't see what it's supposed to do --
>> there's no such hook, and it's never called.
>
> It could be called by unload-feature, though it would be better to
> rename it gnus-registry-unload-function instead:
>
>     (defun unload-feature (feature &optional force)
>       [...]
>       (let* ([...]
>              (unload-hook (intern-soft (concat name "-unload-hook")))
>              (unload-func (intern-soft (concat name "-unload-function"))))
>           [...]
>           ;; This is obsolete; FEATURE-unload-function should be used now.
>           (run-hooks unload-hook)
>
> See also (info "(elisp) Unloading")

Something new every day! Thanks for this tip.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 4 Aug 2019 01:09:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 21:09:27 2019
Received: from localhost ([127.0.0.1]:60238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu51b-0000vz-H5
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 21:09:27 -0400
Received: from mout.web.de ([212.227.17.11]:56845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hu51Z-0000vk-2d
 for 36903 <at> debbugs.gnu.org; Sat, 03 Aug 2019 21:09:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564880946;
 bh=2pYc9apBzvhjZ8DhVbSEP5FLv1CooEoLKLS2dei8K24=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=EpUdmD43khU95olAtBiaH2xx7XKa/WmQj2aBwTbWV9Su0TAi9H3ITZ+32UClnecYT
 JCh8/8zzja3VbVr43ZFMM1YA4xvwCoswOI/rLMeDSBNi9zmJzRT1hgSoY6CrxMNWWP
 QljX6H1t45iFPp3Gz7wT+Pc9e3dX63Ul/AMNK0nc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MVLWc-1hqGL62TwE-00YhJd; Sun, 04
 Aug 2019 03:09:06 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
Date: Sun, 04 Aug 2019 03:09:05 +0200
In-Reply-To: <87ef21wzrm.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 03 Aug 2019 17:16:45 -0700")
Message-ID: <87r261pwi6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:mPTuU4IXsghRqfG8XyDBEw6yci/pPaPwNdxyimmMLp2+HKCPq6E
 KF+lHksFg/CoTQiDl8ZOlATtwtp/4FNds+sMPUYel0D+pOJa4RbXnRuQaW5RBd6IZsLcgYt
 9qRG0KKWfcAb1t8SDu9A+6DXOegEg3lwMUAJ1HB79R7Mvm63rVN+JqDwdU2lIJ1Jl7q3g3F
 FVbyuAwcCes3IEWddpr1g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:mUxtV76jQwE=:ZRyKrZarWC36qzRANk+4r0
 3lZxW5wXNKilzl8m34aWRBu3nHG2x922SXLsWoC4JhXoft87wjuQjWfBKewl0VhPjspVVOt1U
 HHMTgiPVTimseRhEyFxXL9qgMz4Or/A9r6bGXOdZBeIsJUUSzZQ2ex9923FIF3Jc6ofRwZyFM
 UluxLnQ/mk0++LAO2/G8fYjgcmcVGtNjhmTwmrbfWfw33HmQnfEaAdSJ/1LsYwk/zq1ZlkjU/
 6d839hoEnRZbv2lGlCEJqGS/FOpsnFMskjxLM6gF4QrmUb3c3OPKtxTl/9vffg6A0KLwuLREa
 4ZPWetefv3oorYq83vbd0RALDRjNHz8NZawBhgY+K3lDDrqrpCuO/XGYSdQpwVS0ECNFncCJB
 CuaK253pUPwYVqKcgrzI5upDDJDfhneHwIvHMreIdulc0wFHHkwCB0MgqFBXVM5ixmlrx9awO
 DJ9nUYRwP5K9J+5PHREbWCf8O64z7ORPzJZs+GnBvQvYCIhcHFbaoXStzRWSX10dyZlLojLwX
 Ugye9AVg5kfAn3GCHqd51CdQBNn1Uxp2G0+dne8nobwfv4OjNhrx4ryoHb6onWzPQpte3pjpY
 cpJOkzi5V1VtipkAz+gxAF2yM9KV4seD4ZDIek//0jzGqvCpiOnZEviKcA8x1kwTaZPrreBss
 l5F8nOGaIILqPrhH9+pEQbsS3yhs0fw1Zsoo/PwUpWjgDzaQBfKkOCKB3C+Rz3FQ47zeQT7W9
 D46/iyCK7hrzyH+/M8sdB5RWB7PcMOGHbJ0KV8anL+IoeJEsvLErmxu+T7eENAPygB3V79AoX
 RaIf/dE5+PPHODhZXI5sYxrVftS30caUdUHqK+KbbyN9j11GZX/njfgMzZQISrv47PrUM2eRU
 1/LnT/Pa1Lq0xRE/nPtyTHSayTL/D2PQ1N3xTWNxDOlcDQcq5z4q62TGjYBMrUJKHFjVTww91
 srUhZtO8sJpgduH3jXG8Tkn7U3RKSiyafVas/+oN90pSczX3Dye8iIhabjL4ScRFTOY6sbReu
 i0zX626Hv6ZZE1I4AGyIb1YUjU7Uc1QVeUO5CPqzMoUdV/xHCL96WYO2jXeLUWOrYfvzVP8qt
 mrunBmO2qmTI2i2s90YqYpetsv664JH0g+yUKsu1J1iYTRb1SEZmJb/EaC5eLzm3vItQ9B5kE
 jtVhg=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Okay, so `gnus-registry-clear' should probably also run
> `gnus-registry-unload-hook'. You're not expecting the registry to be
> doing it's thing when you've shut down Gnus, but are using debbugs,
> right?

Yes.

But I didn't say that I would not expect the registry to work with
debbugs.  It would be good if it did - but I don't know if it's
technically possible.


> Would you try this definition:
>
> (defun gnus-registry-clear ()
>   "Clear the registry."
>   (setq gnus-registry-db nil)
>   (gnus-registry-unload-hook))

Well, that fixes - only one error.  I still get an error from

  (defalias 'gnus-user-format-function-M
  'gnus-registry-article-marks-to-chars)

so I have to redefine that one, too.  And even after doing this I get an
error related to Gnorb:

Debugger entered--Lisp error: (cl-no-applicable-method registry-lookup nil ("<87ef23o055.fsf@HIDDEN>"))
  signal(cl-no-applicable-method (registry-lookup nil ("<87ef23o055.fsf@HIDDEN>")))
  cl-no-applicable-method(#s(cl--generic :name registry-lookup :dispatches ((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fdfcf97ee83>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1fdfcf97ee6b>))) (0 #s(cl--generic-generalizer :name eieio--generic-generalizer :priority 50 :tagcode-function cl--generic-struct-tag :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1588e546ed61>)) #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fdfcf97ee83>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1fdfcf97ee6b>)))) :method-table (#s(cl--generic-method :specializers (registry-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function (db keys) #<bytecode 0x1588e5da1709>))) :options nil) nil ("<87ef23o055.fsf@HIDDEN>"))
  apply(cl-no-applicable-method #s(cl--generic :name registry-lookup :dispatches ((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fdfcf97ee83>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1fdfcf97ee6b>))) (0 #s(cl--generic-generalizer :name eieio--generic-generalizer :priority 50 :tagcode-function cl--generic-struct-tag :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1588e546ed61>)) #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1fdfcf97ee83>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1fdfcf97ee6b>)))) :method-table (#s(cl--generic-method :specializers (registry-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function (db keys) #<bytecode 0x1588e5da1709>))) :options nil) (nil ("<87ef23o055.fsf@HIDDEN>")))
  #f(compiled-function (&rest args) #<bytecode 0x1588e6fb92f9>)(nil ("<87ef23o055.fsf@HIDDEN>"))
  apply(#f(compiled-function (&rest args) #<bytecode 0x1588e6fb92f9>) nil ("<87ef23o055.fsf@HIDDEN>"))
  registry-lookup(nil ("<87ef23o055.fsf@HIDDEN>"))
  gnus-registry-get-or-make-entry("<87ef23o055.fsf@HIDDEN>")
  gnus-registry-get-id-key("<87ef23o055.fsf@HIDDEN>" gnorb-ids)
  gnorb-gnus-hint-relevant-message()
  run-hooks(gnus-select-article-hook)
  apply(run-hooks gnus-select-article-hook)
  gnus-run-hooks(gnus-select-article-hook)
  gnus-summary-display-article(3 nil)
  gnus-summary-select-article(nil nil pseudo)
  gnus-summary-scroll-up(1)
  funcall-interactively(gnus-summary-scroll-up 1)
  call-interactively(gnus-summary-scroll-up nil nil)
  command-execute(gnus-summary-scroll-up)

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 4 Aug 2019 00:44:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 20:44:12 2019
Received: from localhost ([127.0.0.1]:60227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu4d9-0000LN-Sp
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 20:44:12 -0400
Received: from mail-io1-f42.google.com ([209.85.166.42]:34087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hu4d7-0000LA-Lp
 for 36903 <at> debbugs.gnu.org; Sat, 03 Aug 2019 20:44:10 -0400
Received: by mail-io1-f42.google.com with SMTP id k8so160295401iot.1
 for <36903 <at> debbugs.gnu.org>; Sat, 03 Aug 2019 17:44:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=csJbp0w0xhnJ4gungT0ftnaClTjavrXyv+UF/DQiMKw=;
 b=Wqvj15pnJcV+u3987Xzggd1ZdyXwSIqJKRtIwOM1jDkHqA+MXXQgoBNocRV6D/Ht9Q
 f68YEcaaBa/SSuUlp90z4q4KbKpLeAUZ1No2xPVb6eDuhsJ8ALso1r22TYXc5gqGvy4L
 XzbkNB8byxjFCnTH1yxwjFPfJV9VkwEQN9pfDkK9cdbfsYggrPUSeDj8J+nGjrUTHqdR
 csfCUA203lfCWZ1A722o8FMAUdhc1FRNgBzJyQV6m0hlg/Y3H5U+eF356Sk5NFRibEf0
 v4cbS7BVyvjUzzcd/wmHw4q7/vCJjF8LrzM0Q8gpA1/7i5X15VXI/X9GKDPWHEBSZweB
 ctAg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=csJbp0w0xhnJ4gungT0ftnaClTjavrXyv+UF/DQiMKw=;
 b=fi/LWpDhKtdZpCW2wVjDWAGZVyg9kOXDeAlF9qPt28OyGWlgtQutWnQby/tSx1fmDD
 zHjERf5sQDNBzb+MkbLfV7N7es3enwU/ewroBWeeeJ/O/0QgJe1TnYRRbZyv+doInp+1
 3KMwjqq8k0anVgKCHfbkpnvH3pBkgOPTjFrjuKQrtjJnI85CZ+vZbOqqik5G4dgTr3co
 w4k6Ws/vkvdldx2MaFOo+ns90WiLsvop0tSLfBxZWGxK/xlDrxMQ2Il46sOMchyll1OD
 J+Cp3Hh9BVFbagiTYnkbBmoNIiv/8zHZnUnKRJ2k3EluX7tsPkR26MacCx6PRA7dMYIF
 8h0g==
X-Gm-Message-State: APjAAAVglgiNsrjblnWrN7TgDLhNj5Cd6DSs0nC+NznUdVGd1k5UO8X4
 ODr5tkcFa/ZxFPW4ZzdTEDJCG5rW
X-Google-Smtp-Source: APXvYqxmWTWSpnL5S5VoKhJAELnst1OGMk0UVIaFCRv+/4xUyEAyZFYGx9YYyEwWA+jUwRpJezUOKQ==
X-Received: by 2002:a02:c9d8:: with SMTP id c24mr95450879jap.38.1564879444016; 
 Sat, 03 Aug 2019 17:44:04 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 i4sm102239172iog.31.2019.08.03.17.44.03
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 03 Aug 2019 17:44:03 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
 <87a7cpwz9i.fsf@HIDDEN>
Date: Sat, 03 Aug 2019 20:44:02 -0400
In-Reply-To: <87a7cpwz9i.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 03 Aug 2019 17:27:37 -0700")
Message-ID: <87h86xsqst.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

>> Huh, right after the definition of `gnus-registry-unload-hook' is this
>> line:
>>
>> (add-hook 'gnus-registry-unload-hook 'gnus-registry-unload-hook)
>
> Added by RMS in 2004! Still don't see what it's supposed to do --
> there's no such hook, and it's never called.

It could be called by unload-feature, though it would be better to
rename it gnus-registry-unload-function instead:

    (defun unload-feature (feature &optional force)
      [...]
      (let* ([...]
             (unload-hook (intern-soft (concat name "-unload-hook")))
             (unload-func (intern-soft (concat name "-unload-function"))))
          [...]
          ;; This is obsolete; FEATURE-unload-function should be used now.
          (run-hooks unload-hook)

See also (info "(elisp) Unloading")




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Aug 2019 00:27:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 20:27:50 2019
Received: from localhost ([127.0.0.1]:60218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu4NJ-0006HG-R9
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 20:27:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:37491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu4NI-0006H9-4q
 for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 20:27:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52034)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu4NH-0001F1-6X
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 20:27:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=1.0 required=5.0 tests=BAYES_40,RDNS_DYNAMIC,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu4NG-00033g-AD
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 20:27:47 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:55988
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hu4NG-00032B-3x
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 20:27:46 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hu4ND-000rqd-68
 for bug-gnu-emacs@HIDDEN; Sun, 04 Aug 2019 02:27:43 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
Date: Sat, 03 Aug 2019 17:27:37 -0700
Message-ID: <87a7cpwz9i.fsf@HIDDEN>
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN> <87ef21wzrm.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:r8IH0oUMvSNXtEaga5JQKDBRVUo=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> On 08/04/19 01:47 AM, Michael Heerdegen wrote:
>> Eric Abrahamsen <eric@HIDDEN> writes:
>>
>>> > AFAIU the problem is that gnus-registry-db is bound to nil *Bugs*
>>>
>>> Do you know why/where this is happening?
>>
>> The nil binding?  That can only be `gnus-registry-clear'.
>>
>> And I guess that explains why I do not see the problem always: when Gnus
>> is running, it works, and it also works before Gnus has started for the
>> first time.
>
> Okay, so `gnus-registry-clear' should probably also run
> `gnus-registry-unload-hook'. You're not expecting the registry to be
> doing it's thing when you've shut down Gnus, but are using debbugs,
> right?
>
> Would you try this definition:
>
> (defun gnus-registry-clear ()
>   "Clear the registry."
>   (setq gnus-registry-db nil)
>   (gnus-registry-unload-hook))
>
> Huh, right after the definition of `gnus-registry-unload-hook' is this
> line:
>
> (add-hook 'gnus-registry-unload-hook 'gnus-registry-unload-hook)

Added by RMS in 2004! Still don't see what it's supposed to do --
there's no such hook, and it's never called.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 4 Aug 2019 00:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 20:16:59 2019
Received: from localhost ([127.0.0.1]:60210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu4Cn-00060s-08
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 20:16:57 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:54736
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hu4Ck-00060Z-Nc
 for 36903 <at> debbugs.gnu.org; Sat, 03 Aug 2019 20:16:55 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id B0292FA0A3;
 Sun,  4 Aug 2019 00:16:47 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
 <87zhkpq0az.fsf@HIDDEN>
Date: Sat, 03 Aug 2019 17:16:45 -0700
In-Reply-To: <87zhkpq0az.fsf@HIDDEN> (Michael Heerdegen's message of "Sun, 04
 Aug 2019 01:47:00 +0200")
Message-ID: <87ef21wzrm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 08/04/19 01:47 AM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> > AFAIU the problem is that gnus-registry-db is bound to nil *Bugs*
>>
>> Do you know why/where this is happening?
>
> The nil binding?  That can only be `gnus-registry-clear'.
>
> And I guess that explains why I do not see the problem always: when Gnus
> is running, it works, and it also works before Gnus has started for the
> first time.

Okay, so `gnus-registry-clear' should probably also run
`gnus-registry-unload-hook'. You're not expecting the registry to be
doing it's thing when you've shut down Gnus, but are using debbugs,
right?

Would you try this definition:

(defun gnus-registry-clear ()
  "Clear the registry."
  (setq gnus-registry-db nil)
  (gnus-registry-unload-hook))

Huh, right after the definition of `gnus-registry-unload-hook' is this
line:

(add-hook 'gnus-registry-unload-hook 'gnus-registry-unload-hook)

I wonder what that's supposed to mean. Perhaps it should have been a
gnus shutdown hook, in which case you wouldn't have seen this error...

Anyway, I still think a gnus shutdown is a better place to have this.

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at 36903 <at> debbugs.gnu.org:


Received: (at 36903) by debbugs.gnu.org; 3 Aug 2019 23:47:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 19:47:22 2019
Received: from localhost ([127.0.0.1]:60192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu3kA-0005L0-EG
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 19:47:22 -0400
Received: from mout.web.de ([212.227.17.12]:53345)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hu3k8-0005Km-Az
 for 36903 <at> debbugs.gnu.org; Sat, 03 Aug 2019 19:47:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564876022;
 bh=emKgMJA9lSqkR+VZq9tuXb+kpj9qRhmWTB4Z+tNEcUM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=kSb6E2fLa2ht5qqXcFrG5eSfzVqPgmLwJ3QTJh1dlZEQrXZhESeB22+FQ/6XXA9+C
 /afXrcGgilfAO1Aea+PjRBflxevzPuYJuZL0msMk6AB+57gvkGdB84vtwt46PqmhGr
 8Tsy/Wm8VZVVrFR7+6s58LPcZG5LW5KrKdYzlmm8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Le4Tw-1ihhHt3rKe-00pukD; Sun, 04
 Aug 2019 01:47:02 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
References: <87pnlmen9q.fsf@HIDDEN> <87zhkqw965.fsf@HIDDEN>
Date: Sun, 04 Aug 2019 01:47:00 +0200
In-Reply-To: <87zhkqw965.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 03 Aug 2019 08:38:58 -0700")
Message-ID: <87zhkpq0az.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:br/M60hEfe9eh3v9Rq6i2bb03JtlwA3Qai1nzKnhPiej5NlHB02
 Rqdt+td8CoT3PBggl02Qm/Es4xZU4xmw0bCsAxXdgTGoQtlEngtrsgZpMBVBx215zKDlV3D
 J3Zeu+/voUuATBJ5SqPfn21s39REtBjwslMgH3+C2HZYqc6aCR5fP7uPMKJNdcPdpBt06Qj
 CGFLWikyxRyQ+NtPXmTiw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:VZcORSzO7UQ=:hIQ/Bhjho8G44GFkW2a54k
 b+ufnwHsio1YHbd2UX8QZfEGfEhWkZvQHpu3wxDiS8dYnA8OdvhpX3GjVKJlvx8BY0gIm/8nh
 c6FBhD0yRZ9iyszQafhX0iXpHA8UZYKwQpMWxXwT0AN5KcCWWAvkpgDingzsLT/oN8mWsuy6w
 mZK1V8ZebmJe4TIarX3CJ29rA8B+Bbqi1p2n7wTZkRi/Wl0hU4O7ftCJV83+i9FHSW6EzIT8+
 6LRY5XSrFFYiST4SIrHHslX8+RBwTDPtxfEX+FQlaR6SnXcfdLHByxfF77FxLXmpT0/Y8anvA
 e9g6tgnsHBpjYRr8ZhCmtH3OIFvKw5GFeliGEwMqCb40+1FDRmhCr9p9MM3EoEFxhCWWxSM/G
 rKEvHTl5p2owHjPkQZE0TmZcKCqBsa3H7GY1MqD90xAt+/6qWMvbyqPOnOPuqzzqZ8Nk9XnaA
 IynSHnQUKJcFIuHVA42A4UxOjaGegNT3hMrb1VCdl/fk21Wtyzdfg93iJ5+xzkIfn9qDpNCff
 qqdo9PhMN2IWyNyAQ5JpVEp1zkQI1/jnwiWYw7krd5jgkTuAI+w9QbwCrCGMbdrepOkZ2o4gh
 +EQzesiJ3QUnQwYaechX+ZK6MUknBXlv/6yLlC29LTGpIsJiij2o1BOnatp9X2+C7ZMiwz+JH
 lDyP4XOCLEkBr9e8yS6glislx6jIC8sBuSrPE62SBCYnWidKPluOzbVqTRXttiXwbNDnuGXu8
 cexhWiEsALq/mv3QhO9E++IdgahO882pCbRmbInvQdeUL04PYdbiksLaTSOdnmdTtrD4IfbsS
 vWQ4lPNNVb44uYLFsT8uU3PTeHjKpzyINz3fzEtDRButiCyrpMoCpv65k3js51G/JLs5wPFKu
 4lMhegbn0KdHP7Iaqnkfvexezlxgo81YBCcaOBH7z4WOnP5tD0WQQCYsYWgwDyII+qAUsCUNy
 sfD6EGpCZ5bsvLBCb+/n2Tm6AkCgMQXKHqTgXuERBqZL39l/v2kQaAyy7EsfDq3/IHkGPKmll
 7YVXG2NoskNnirbYy3RRFiIFnTt6ju2Utwt8RE0eVOlVOMensTENd9cjbvPKQTwE5ndmgzIV9
 5F6N2MTwvufk4hMCZa3YCE356qwwzpKdw4S24xUHfLkdAgxBoFN9X3ltGIrkV6g6CgglkqQ6J
 5+p+Q=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36903
Cc: 36903 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> > AFAIU the problem is that gnus-registry-db is bound to nil *Bugs*
>
> Do you know why/where this is happening?

The nil binding?  That can only be `gnus-registry-clear'.

And I guess that explains why I do not see the problem always: when Gnus
is running, it works, and it also works before Gnus has started for the
first time.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Aug 2019 15:40:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 11:40:16 2019
Received: from localhost ([127.0.0.1]:59801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htw8k-00087R-7H
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 11:40:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:39656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1htw8i-00087G-Bt
 for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 11:40:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:32860)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1htw8g-00014D-Ou
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 11:40:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.9 required=5.0 tests=BAYES_00,RDNS_DYNAMIC,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1htw8e-0006Da-O5
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 11:40:10 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:59834
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1htw8b-0006B8-3E
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 11:40:05 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1htw8Y-000tmS-Fl
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 17:40:02 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs
Date: Sat, 03 Aug 2019 08:38:58 -0700
Message-ID: <87zhkqw965.fsf@HIDDEN>
References: <87pnlmen9q.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:SRnbC4kbZ1vxmxgmBDlorDP+KMI=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Hi,
>
> opening articles in the groups generated by debbugs-gnu-search or
> debbugs-gnu-bugs fails for me, because I have set up Gnus to use the
> registry:
>
> Debugger entered--Lisp error: (cl-no-applicable-method registry-lookup
> nil ("fake+none+nndoc+ephemeral:bug#19892+1"))
>   signal(cl-no-applicable-method (registry-lookup nil ("fake+none+nndoc+ephemeral:bug#19892+1")))
>   cl-no-applicable-method(#s(cl--generic :name registry-lookup
> :dispatches ((1 #s(cl--generic-generalizer :name
> cl--generic-t-generalizer :priority 0 :tagcode-function
> #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c93a83>)
> :specializers-function #f(compiled-function (tag &rest _) #<bytecode
> 0x1ffea8c93a6b>))) (0 #s(cl--generic-generalizer :name
> eieio--generic-generalizer :priority 50 :tagcode-function
> cl--generic-struct-tag :specializers-function #f(compiled-function
> (tag &rest _) #<bytecode 0x15640b15a86d>)) #s(cl--generic-generalizer
> :name cl--generic-t-generalizer :priority 0 :tagcode-function
> #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c93a83>)
> :specializers-function #f(compiled-function (tag &rest _) #<bytecode
> 0x1ffea8c93a6b>)))) :method-table (#s(cl--generic-method :specializers
> (registry-db t) :qualifiers nil :uses-cnm nil :function
> #f(compiled-function (db keys) #<bytecode 0x15640bae7b19>))) :options
> nil) nil ("fake+none+nndoc+ephemeral:bug#19892+1"))
>   apply(cl-no-applicable-method #s(cl--generic :name registry-lookup
> :dispatches ((1 #s(cl--generic-generalizer :name
> cl--generic-t-generalizer :priority 0 :tagcode-function
> #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c93a83>)
> :specializers-function #f(compiled-function (tag &rest _) #<bytecode
> 0x1ffea8c93a6b>))) (0 #s(cl--generic-generalizer :name
> eieio--generic-generalizer :priority 50 :tagcode-function
> cl--generic-struct-tag :specializers-function #f(compiled-function
> (tag &rest _) #<bytecode 0x15640b15a86d>)) #s(cl--generic-generalizer
> :name cl--generic-t-generalizer :priority 0 :tagcode-function
> #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c93a83>)
> :specializers-function #f(compiled-function (tag &rest _) #<bytecode
> 0x1ffea8c93a6b>)))) :method-table (#s(cl--generic-method :specializers
> (registry-db t) :qualifiers nil :uses-cnm nil :function
> #f(compiled-function (db keys) #<bytecode 0x15640bae7b19>))) :options
> nil) (nil ("fake+none+nndoc+ephemeral:bug#19892+1")))
>   #f(compiled-function (&rest args) #<bytecode 0x15640d67eedd>)(nil
> ("fake+none+nndoc+ephemeral:bug#19892+1"))
>   apply(#f(compiled-function (&rest args) #<bytecode 0x15640d67eedd>)
> nil ("fake+none+nndoc+ephemeral:bug#19892+1"))
>   registry-lookup(nil ("fake+none+nndoc+ephemeral:bug#19892+1"))
>   gnus-registry-get-or-make-entry("fake+none+nndoc+ephemeral:bug#19892+1")
>   gnus-registry-get-id-key("fake+none+nndoc+ephemeral:bug#19892+1" group)
>   gnus-registry-register-message-ids()
>   run-hooks(gnus-summary-prepare-hook)
>   apply(run-hooks gnus-summary-prepare-hook)
>   gnus-run-hooks(gnus-summary-prepare-hook)
>   gnus-summary-prepare()
>   gnus-summary-read-group-1("nndoc+ephemeral:bug#19892" t t nil nil nil)
>   gnus-summary-read-group("nndoc+ephemeral:bug#19892" t t nil nil nil nil)
>   gnus-group-read-group(t t "nndoc+ephemeral:bug#19892" nil)
>   gnus-group-read-ephemeral-group("nndoc+ephemeral:bug#19892" (nndoc
> "/tmp/gnus-temp-group-RfE2Ck" (nndoc-article-type mbox)) nil (#<buffer
> *Bugs*> . #<window-configuration>))
>   gnus-read-ephemeral-bug-group((19892)
> "https://debbugs.gnu.org/cgi/bugreport.cgi?bug=%s;m..." (#<buffer
> *Bugs*> . #<window-configuration>))
>   gnus-read-ephemeral-emacs-bug-group((19892) (#<buffer *Bugs*> . #<window-configuration>))
>   debbugs-read-emacs-bug-with-gnus(19892 ((cache_time .
> 1564812360.0822985) (unarchived) (blockedby) (forwarded) (package
> "emacs") (location . "db-h") (originator . "michael_heerdegen@HIDDEN")
> (subject . "25.0.50; hideshow: hs-hide-all-non-comment-functio...")
> (severity . "normal") (fixed (item (key . 27.1) (value)))
> (found_versions "25.0.50") (msgid . "<87r3tonon8.fsf@HIDDEN>")
> (mergedwith) (fixed_versions "27.1") (last_modified . 1564773722)
> (owner) (found (item (key . "25.0.50") (value))) (fixed_date) (id .
> 19892) (summary) (affects) (keywords "fixed") (source . "unknown")
> (pending . "done") (found_date) (archived) (done . "Lars Ingebrigtsen
> <larsi@HIDDEN>") (tags "fixed") (date . 1424213161) (bug_num .
> 19892) (blocks) (log_modified . 1564773722)) nil)
>   debbugs-gnu-select-report()
>
> AFAIU the problem is that gnus-registry-db is bound to nil *Bugs* 

Do you know why/where this is happening?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Aug 2019 07:12:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 03:12:02 2019
Received: from localhost ([127.0.0.1]:58241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htoCv-0007Fh-Pj
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 03:12:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:58938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1htoCu-0007FT-3g
 for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 03:12:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58138)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1htoCs-0004Xv-37
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 03:12:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1htoCq-00014a-77
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 03:11:58 -0400
Received: from mout.web.de ([212.227.15.4]:54633)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1htoCp-00013Y-QP
 for bug-gnu-emacs@HIDDEN; Sat, 03 Aug 2019 03:11:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564816307;
 bh=kju4NhR2oux+5tl/klGJhu0xR68cpxnrfGEn4X+TXBE=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=tB/vzqDgLEUwKRM+e+kQ1hePXY50qJsFMO3aeFVZj/oZ+C/AxwjqnxbpQM98E8o38
 o5Sig/OZqiuGO3ezB/H4oUiGSx/tnCy8ojo40+/a2qicNyRr/mHo/viMFvknMoTXnw
 7qf1K0jjyKkbVQ0gQ1h0hGk5CUnln1uqeSEtoqgo=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lfipe-1ij2z31O9q-00pHzW for
 <bug-gnu-emacs@HIDDEN>; Sat, 03 Aug 2019 09:11:47 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; gnus registry vs. debbugs
Date: Sat, 03 Aug 2019 09:11:45 +0200
Message-ID: <87pnlmen9q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:xB+9BCeLzdHXkz5zaEBEKbG/qJiBylILJQrKfU235d1H/5mqOfK
 l+/5qnkQ2gxmZGOwGW/WcxHESyN1LcCw+dx3PEJD2xbg4V80cH4zJuk6Nl+tzlLvB7eIDoZ
 okn3xcYGfY5cp3BrrsNLqkANuU7/NH6pj+E/xmaDnVNqJWsaJUgy6HeWIUVf7z7tk07kZYj
 0vR4hTYEOEUWYTXWKs/lQ==
X-UI-Out-Filterresults: notjunk:1;V03:K0:1deI4FhbJDw=:fHSudYfCiz4H08SO87AxMR
 IyR/G5e1GZTg7DfmegZHoz72v2H+DtRRDiO60QMj2LWP+Wcv3hIoByFIMXak1TpbayfwMJj1A
 pomEkXr8XnjIkGAFtq/+0RfiRn/TJzvupgiiL+TMD89jZiRcGTvxj9Ol2DjZQ6LVTNjCoP7vB
 7yZn6ZeGTh9HRgvpv+6T6Xtir6aPfewGj5XyuZtgepuReNQhaHvKVKF4lkdhd6bO7cK0WUC8v
 hwrbVD07CohECynlVXAt8niZyJjChO5h2uVpgw5AOQgEQZUq0WIL+sD0BArn7TgA9wmz3aHnZ
 CYgiYWkXC0gm4XIKLdy+JOdJvHilFPxYb4cwtSBvsFePd21/l45Hqno/yqarwOuFu7GAniTfs
 wN5VydIi/ELhY3oY/Vm7tcw4g1PK/SHoEq3bdMRSYNBt9F8IK1SGvv9av+c5/aDs2by0nyes4
 QTeSg9m7Y72aaDOGuUurwNJE66O86fYpjD3Jc2ZvWogFTUqXNijXJDqSMuaFbrp8FbmE9yZCK
 rpmAnKelWWZTs6nicVGd+Ua4d19/z+GFOFDhRIePiIA75dcvcxsL01hbWuRjtdWH24DbKugXm
 oZZdPME/TNif069KXLOfEynFUv1UEJaBRpdZwlAt6gqcEfNg1M2f8G1e+dYRgBQkgOZHTkf3D
 SwBY83Th7njf6+jXi2GZrid8WENVYNM91Uv0fN6Wb4F+SYBvJFK707k3B1N53YN1Pni5LbJl5
 YCjvJUljrmG6oocXAz7u05TCWl8LmFOcbf1qcL8ToW5a29Qa0c1Nq/eWbuJyqNBATBbiB2wK7
 Llepm6tfiJ8rNLe/r8rQmrDagOCRN+o8vloIO0S/syrmizfJxet+elr4BjCYj7RM05cOepKn2
 giq9VLjb7H+0/0bWaqOvDPTf10dMqspQY1/TKyZhAQF3QFgSoLuMLjEBsxPo6809aWqeHh/Uw
 cjIn2tG57YSNaFZuLtLpaC1SpVCAP1nZ7/isvqrb2397o2w58Jbna9r9ho4hS5hXTj61ijTUi
 DhxUR8vjaOL4gE9ot3Fui5mOE0VEvNJJ2LmHTGC4JIuyCJX42BiVpU9Bpju42RwgBlspLbObv
 cWKuD+OLlet7o0HrliCgy6sB8hWnjX+CLJhYessnkQYxHrUs3lcx9VfjIRaBKse7QgQxf2yFh
 DB7e0=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.15.4
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Hi,

opening articles in the groups generated by debbugs-gnu-search or
debbugs-gnu-bugs fails for me, because I have set up Gnus to use the
registry:

Debugger entered--Lisp error: (cl-no-applicable-method registry-lookup nil =
("fake+none+nndoc+ephemeral:bug#19892+1"))
  signal(cl-no-applicable-method (registry-lookup nil ("fake+none+nndoc+eph=
emeral:bug#19892+1")))
  cl-no-applicable-method(#s(cl--generic :name registry-lookup :dispatches =
((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 =
:tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c9=
3a83>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode=
 0x1ffea8c93a6b>))) (0 #s(cl--generic-generalizer :name eieio--generic-gene=
ralizer :priority 50 :tagcode-function cl--generic-struct-tag :specializers=
-function #f(compiled-function (tag &rest _) #<bytecode 0x15640b15a86d>)) #=
s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagc=
ode-function #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c93a83>=
) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1f=
fea8c93a6b>)))) :method-table (#s(cl--generic-method :specializers (registr=
y-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function (db ke=
ys) #<bytecode 0x15640bae7b19>))) :options nil) nil ("fake+none+nndoc+ephem=
eral:bug#19892+1"))
  apply(cl-no-applicable-method #s(cl--generic :name registry-lookup :dispa=
tches ((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :prior=
ity 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1f=
fea8c93a83>) :specializers-function #f(compiled-function (tag &rest _) #<by=
tecode 0x1ffea8c93a6b>))) (0 #s(cl--generic-generalizer :name eieio--generi=
c-generalizer :priority 50 :tagcode-function cl--generic-struct-tag :specia=
lizers-function #f(compiled-function (tag &rest _) #<bytecode 0x15640b15a86=
d>)) #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0=
 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c=
93a83>) :specializers-function #f(compiled-function (tag &rest _) #<bytecod=
e 0x1ffea8c93a6b>)))) :method-table (#s(cl--generic-method :specializers (r=
egistry-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function =
(db keys) #<bytecode 0x15640bae7b19>))) :options nil) (nil ("fake+none+nndo=
c+ephemeral:bug#19892+1")))
  #f(compiled-function (&rest args) #<bytecode 0x15640d67eedd>)(nil ("fake+=
none+nndoc+ephemeral:bug#19892+1"))
  apply(#f(compiled-function (&rest args) #<bytecode 0x15640d67eedd>) nil (=
"fake+none+nndoc+ephemeral:bug#19892+1"))
  registry-lookup(nil ("fake+none+nndoc+ephemeral:bug#19892+1"))
  gnus-registry-get-or-make-entry("fake+none+nndoc+ephemeral:bug#19892+1")
  gnus-registry-get-id-key("fake+none+nndoc+ephemeral:bug#19892+1" group)
  gnus-registry-register-message-ids()
  run-hooks(gnus-summary-prepare-hook)
  apply(run-hooks gnus-summary-prepare-hook)
  gnus-run-hooks(gnus-summary-prepare-hook)
  gnus-summary-prepare()
  gnus-summary-read-group-1("nndoc+ephemeral:bug#19892" t t nil nil nil)
  gnus-summary-read-group("nndoc+ephemeral:bug#19892" t t nil nil nil nil)
  gnus-group-read-group(t t "nndoc+ephemeral:bug#19892" nil)
  gnus-group-read-ephemeral-group("nndoc+ephemeral:bug#19892" (nndoc "/tmp/=
gnus-temp-group-RfE2Ck" (nndoc-article-type mbox)) nil (#<buffer *Bugs*> . =
#<window-configuration>))
  gnus-read-ephemeral-bug-group((19892) "https://debbugs.gnu.org/cgi/bugrep=
ort.cgi?bug=3D%s;m..." (#<buffer *Bugs*> . #<window-configuration>))
  gnus-read-ephemeral-emacs-bug-group((19892) (#<buffer *Bugs*> . #<window-=
configuration>))
  debbugs-read-emacs-bug-with-gnus(19892 ((cache_time . 1564812360.0822985)=
 (unarchived) (blockedby) (forwarded) (package "emacs") (location . "db-h")=
 (originator . "michael_heerdegen@HIDDEN") (subject . "25.0.50; hideshow: h=
s-hide-all-non-comment-functio...") (severity . "normal") (fixed (item (key=
 . 27.1) (value))) (found_versions "25.0.50") (msgid . "<87r3tonon8.fsf@web=
.de>") (mergedwith) (fixed_versions "27.1") (last_modified . 1564773722) (o=
wner) (found (item (key . "25.0.50") (value))) (fixed_date) (id . 19892) (s=
ummary) (affects) (keywords "fixed") (source . "unknown") (pending . "done"=
) (found_date) (archived) (done . "Lars Ingebrigtsen <larsi@HIDDEN>") (ta=
gs "fixed") (date . 1424213161) (bug_num . 19892) (blocks) (log_modified . =
1564773722)) nil)
  debbugs-gnu-select-report()

AFAIU the problem is that gnus-registry-db is bound to nil *Bugs* and
that is not expected by the registry (hook) functions.

Similarly, if I do what is suggested in the header of gnus-registry.el:

;; show the marks as single characters (see the :char property in
;; `gnus-registry-marks'):
;; (defalias 'gnus-user-format-function-M 'gnus-registry-article-marks-to-c=
hars)

I even get an error before the above one:

Debugger entered--Lisp error: (cl-no-applicable-method registry-lookup nil =
("<87r3tonon8.fsf@HIDDEN>"))
  signal(cl-no-applicable-method (registry-lookup nil ("<87r3tonon8.fsf@web=
.de>")))
  cl-no-applicable-method(#s(cl--generic :name registry-lookup :dispatches =
((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 =
:tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c9=
3a83>) :specializers-function #f(compiled-function (tag &rest _) #<bytecode=
 0x1ffea8c93a6b>))) (0 #s(cl--generic-generalizer :name eieio--generic-gene=
ralizer :priority 50 :tagcode-function cl--generic-struct-tag :specializers=
-function #f(compiled-function (tag &rest _) #<bytecode 0x15640b15a86d>)) #=
s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0 :tagc=
ode-function #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c93a83>=
) :specializers-function #f(compiled-function (tag &rest _) #<bytecode 0x1f=
fea8c93a6b>)))) :method-table (#s(cl--generic-method :specializers (registr=
y-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function (db ke=
ys) #<bytecode 0x15640bae7b19>))) :options nil) nil ("<87r3tonon8.fsf@HIDDEN=
e>"))
  apply(cl-no-applicable-method #s(cl--generic :name registry-lookup :dispa=
tches ((1 #s(cl--generic-generalizer :name cl--generic-t-generalizer :prior=
ity 0 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1f=
fea8c93a83>) :specializers-function #f(compiled-function (tag &rest _) #<by=
tecode 0x1ffea8c93a6b>))) (0 #s(cl--generic-generalizer :name eieio--generi=
c-generalizer :priority 50 :tagcode-function cl--generic-struct-tag :specia=
lizers-function #f(compiled-function (tag &rest _) #<bytecode 0x15640b15a86=
d>)) #s(cl--generic-generalizer :name cl--generic-t-generalizer :priority 0=
 :tagcode-function #f(compiled-function (name &rest _) #<bytecode 0x1ffea8c=
93a83>) :specializers-function #f(compiled-function (tag &rest _) #<bytecod=
e 0x1ffea8c93a6b>)))) :method-table (#s(cl--generic-method :specializers (r=
egistry-db t) :qualifiers nil :uses-cnm nil :function #f(compiled-function =
(db keys) #<bytecode 0x15640bae7b19>))) :options nil) (nil ("<87r3tonon8.fs=
f@HIDDEN>")))
  #f(compiled-function (&rest args) #<bytecode 0x15640d67eedd>)(nil ("<87r3=
tonon8.fsf@HIDDEN>"))
  apply(#f(compiled-function (&rest args) #<bytecode 0x15640d67eedd>) nil (=
"<87r3tonon8.fsf@HIDDEN>"))
  registry-lookup(nil ("<87r3tonon8.fsf@HIDDEN>"))
  gnus-registry-get-or-make-entry("<87r3tonon8.fsf@HIDDEN>")
  gnus-registry-get-id-key("<87r3tonon8.fsf@HIDDEN>" mark)
  gnus-user-format-function-M([2 "bug#19892: 25.0.50; hideshow: hs-hide-all=
-non-comm..." "Michael Heerdegen <michael_heerdegen@HIDDEN>" #("Tue, 17 Feb=
 2015 23:45:15 +0100" 0 1 (gnus-time (21731 50299))) "<87r3tonon8.fsf@HIDDEN=
e>" nil -1 117 nil ((Cc . "ttn@HIDDEN, dann@HIDDEN") (To . "19892@deb=
bugs.gnu.org"))])
  (format "%c%c%s%s%2s%c%9s %s" gnus-tmp-unread gnus-tmp-replied (gnus-user=
-format-function-S gnus-tmp-header) (gnus-user-format-function-g gnus-tmp-h=
eader) (gnus-user-format-function-M gnus-tmp-header) gnus-tmp-score-char (g=
nus-user-date (mail-header-date gnus-tmp-header)) gnus-tmp-indentation)
  (insert (format "%c%c%s%s%2s%c%9s %s" gnus-tmp-unread gnus-tmp-replied (g=
nus-user-format-function-S gnus-tmp-header) (gnus-user-format-function-g gn=
us-tmp-header) (gnus-user-format-function-M gnus-tmp-header) gnus-tmp-score=
-char (gnus-user-date (mail-header-date gnus-tmp-header)) gnus-tmp-indentat=
ion))
  (progn (insert (format "%c%c%s%s%2s%c%9s %s" gnus-tmp-unread gnus-tmp-rep=
lied (gnus-user-format-function-S gnus-tmp-header) (gnus-user-format-functi=
on-g gnus-tmp-header) (gnus-user-format-function-M gnus-tmp-header) gnus-tm=
p-score-char (gnus-user-date (mail-header-date gnus-tmp-header)) gnus-tmp-i=
ndentation)) (put-text-property (point) (progn (insert (format "%-23s" (let=
* ((val ...) (need ...)) (if (> need 0) (concat nil val ...) val)))) (point=
)) 'mouse-face gnus-mouse-face) (insert "   ") (add-text-properties (point)=
 (progn (insert gnus-tmp-subject-or-nil) (point)) (cons 'face (cons (list '=
font-lock-variable-name-face 'default) '(gnus-face t)))) (insert "\n"))
  eval((progn (insert (format "%c%c%s%s%2s%c%9s %s" gnus-tmp-unread gnus-tm=
p-replied (gnus-user-format-function-S gnus-tmp-header) (gnus-user-format-f=
unction-g gnus-tmp-header) (gnus-user-format-function-M gnus-tmp-header) gn=
us-tmp-score-char (gnus-user-date (mail-header-date gnus-tmp-header)) gnus-=
tmp-indentation)) (put-text-property (point) (progn (insert (format "%-23s"=
 (let* (... ...) (if ... ... val)))) (point)) 'mouse-face gnus-mouse-face) =
(insert "   ") (add-text-properties (point) (progn (insert gnus-tmp-subject=
-or-nil) (point)) (cons 'face (cons (list 'font-lock-variable-name-face 'de=
fault) '(gnus-face t)))) (insert "\n")))
  gnus-summary-prepare-threads((([2 "bug#19892: 25.0.50; hideshow: hs-hide-=
all-non-comm..." "Michael Heerdegen <michael_heerdegen@HIDDEN>" #("Tue, 17 =
Feb 2015 23:45:15 +0100" 0 1 (gnus-time (21731 50299))) "<87r3tonon8.fsf@we=
b.de>" nil -1 117 nil ((Cc . "ttn@HIDDEN, dann@HIDDEN") (To . "19892@=
debbugs.gnu.org"))] ([3 "bug#19892: 25.0.50; hideshow: hs-hide-all-non-comm=
..." "Lars Ingebrigtsen <larsi@HIDDEN>" #("Fri, 02 Aug 2019 21:08:54 +020=
0" 0 1 (gnus-time (23876 35398))) "<87ef23o055.fsf@HIDDEN>" "<87r3t=
onon8.fsf@HIDDEN>" -1 60 nil ((Cc . "ttn@HIDDEN, dann@HIDDEN, 19892@d=
ebbugs.gnu.o...") (To . "Michael Heerdegen <michael_heerdegen@HIDDEN>"))]) =
([4 "bug#19892: 25.0.50; hideshow: hs-hide-all-non-comm..." "Lars Ingebrigt=
sen <larsi@HIDDEN>" #("Fri, 02 Aug 2019 21:17:00 +0200" 0 1 (gnus-time (2=
3876 35884))) "<87a7crnzrn.fsf@HIDDEN>" "<87r3tonon8.fsf@HIDDEN>" -=
1 61 nil ((Cc . "ttn@HIDDEN, dann@HIDDEN, 19892@HIDDEN") (T=
o . "Michael Heerdegen <michael_heerdegen@HIDDEN>"))])) ([5 "control messag=
e for bug #19892" "Lars Ingebrigtsen <larsi@HIDDEN>" #("Fri, 02 Aug 2019 =
21:21:36 +0200" 0 1 (gnus-time (23876 36160))) "<878ssbnzjz.fsf@HIDDEN=
org>" nil -1 8 nil ((To . "control <at> debbugs.gnu.org, 19892 <at> debbugs.gnu.org")=
)]) ([1 "Status: 25.0.50; hideshow: hs-hide-all-non-comment..." "bug#19892 =
<19892 <at> debbugs.gnu.org>" #("Sat, 03 Aug 2019 07:07:20 +0000" 0 1 (gnus-time=
 (23877 12968))) "fake+none+nndoc+ephemeral:bug#19892+1" nil -1 10 nil ((To=
 . "bug#19892 <19892 <at> debbugs.gnu.org>"))])))
  gnus-summary-prepare()
  gnus-summary-read-group-1("nndoc+ephemeral:bug#19892" t t nil nil nil)
  gnus-summary-read-group("nndoc+ephemeral:bug#19892" t t nil nil nil nil)
  gnus-group-read-group(t t "nndoc+ephemeral:bug#19892" nil)
  gnus-group-read-ephemeral-group("nndoc+ephemeral:bug#19892" (nndoc "/tmp/=
gnus-temp-group-sYDhIR" (nndoc-article-type mbox)) nil (#<buffer *Bugs*> . =
#<window-configuration>))
  gnus-read-ephemeral-bug-group((19892) "https://debbugs.gnu.org/cgi/bugrep=
ort.cgi?bug=3D%s;m..." (#<buffer *Bugs*> . #<window-configuration>))
  gnus-read-ephemeral-emacs-bug-group((19892) (#<buffer *Bugs*> . #<window-=
configuration>))
  debbugs-read-emacs-bug-with-gnus(19892 ((cache_time . 1564812360.0822985)=
 (unarchived) (blockedby) (forwarded) (package "emacs") (location . "db-h")=
 (originator . "michael_heerdegen@HIDDEN") (subject . "25.0.50; hideshow: h=
s-hide-all-non-comment-functio...") (severity . "normal") (fixed (item (key=
 . 27.1) (value))) (found_versions "25.0.50") (msgid . "<87r3tonon8.fsf@web=
.de>") (mergedwith) (fixed_versions "27.1") (last_modified . 1564773722) (o=
wner) (found (item (key . "25.0.50") (value))) (fixed_date) (id . 19892) (s=
ummary) (affects) (keywords "fixed") (source . "unknown") (pending . "done"=
) (found_date) (archived) (done . "Lars Ingebrigtsen <larsi@HIDDEN>") (ta=
gs "fixed") (date . 1424213161) (bug_num . 19892) (blocks) (log_modified . =
1564773722)) nil)
  debbugs-gnu-select-report()

Hope it's not my fault, but it doesn't really look like that...

TIA,

Michael.






Acknowledgement sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36903; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 9 Oct 2019 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.